/* ALL RIGHTS RESERVED
 *
 * This file is provided for demonstration and educational uses only.
 * Permission to use, copy, modify and distribute this file for
 * any purpose and without fee is hereby granted, provided that the
 * above copyright notice and this permission notice appear in all
 * copies, and that the name of KL Group not be used in advertising
 * or publicity pertaining to this material without the specific,
 * prior written permission of an authorized representative of
 * KL Group.
 *
 * KL GROUP MAKES NO REPRESENTATIONS AND EXTENDS NO WARRANTIES, EX-
 * PRESS OR IMPLIED, WITH RESPECT TO THE SOFTWARE, INCLUDING, BUT
 * NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND
 * FITNESS FOR ANY PARTICULAR PURPOSE, AND THE WARRANTY AGAINST IN-
 * FRINGEMENT OF PATENTS OR OTHER INTELLECTUAL PROPERTY RIGHTS.  THE
 * SOFTWARE IS PROVIDED "AS IS", AND IN NO EVENT SHALL KL GROUP OR
 * ANY OF ITS AFFILIATES BE LIABLE FOR ANY DAMAGES, INCLUDING ANY
 * LOST PROFITS OR OTHER INCIDENTAL OR CONSEQUENTIAL DAMAGES
 * RELATING TO THE USE OF THIS SOFTWARE.
 *
 *
 * XRT/field widget UIM/X integration file
 *
 *  SCCSID -- @(#)XrtFld_conf.c	1.6    95/10/13 KL Group Inc.
 */

/******************************************************************************
				XrtFld_conf.c
******************************************************************************/

#include <Xm/XrtField.h>

#ifndef	UXREGFUNC
# ifdef __STDC__
#  define UXREGFUNC(func)	UxRegisterFunction( #func, func)
# else
#  define UXREGFUNC(func)	UxRegisterFunction( "func", func)
# endif
#endif

void
XrtFld_register_functions()
{
	UXREGFUNC( XmCreateXrtStringField );
	UXREGFUNC( XmCreateXrtDateField );
	UXREGFUNC( XmCreateXrtCurrencyField );
	UXREGFUNC( XmCreateXrtIntField );
	UXREGFUNC( XmCreateXrtFloatField );
	UXREGFUNC( XmCreateXrtComboBox );
	UXREGFUNC( XmCreateXrtSpinBox );
	UXREGFUNC( XrtFldDoubleToArgVal );
	UXREGFUNC( XrtFldCheckFields );
	UXREGFUNC( XrtFldCvtLongToTime );
	UXREGFUNC( XrtFldCvtStringToTime );
	UXREGFUNC( XrtFldCvtTimeToLong );
	UXREGFUNC( XrtFldFieldDataFree );
	UXREGFUNC( XrtFldGetDisplayValue );
	UXREGFUNC( XrtFldGetDateLocale );
	UXREGFUNC( XrtFldGetNumericLocale );
	UXREGFUNC( XrtFldGetCurrencyLocale );
	UXREGFUNC( XrtFldGetField );
	UXREGFUNC( XrtFldGetPassword );
	UXREGFUNC( XrtFldSetReverseConverters );
	UXREGFUNC( XrtFldValidateValue );
}

XrtFld_config()
{
	XtInitializeWidgetClass(xmXrtFieldWidgetClass);
	XrtFldSetReverseConverters();

	XrtFld_register_functions();
}

