/* $AstecId$ */
/* ALL RIGHTS RESERVED
 *
 * This file is provided for demonstration and educational uses only.
 * Permission to use, copy, modify and distribute this file for
 * any purpose and without fee is hereby granted, provided that the
 * above copyright notice and this permission notice appear in all
 * copies, and that the name of KL Group not be used in advertising
 * or publicity pertaining to this material without the specific,
 * prior written permission of an authorized representative of
 * KL Group.
 *
 * KL GROUP MAKES NO REPRESENTATIONS AND EXTENDS NO WARRANTIES, EX-
 * PRESS OR IMPLIED, WITH RESPECT TO THE SOFTWARE, INCLUDING, BUT
 * NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND
 * FITNESS FOR ANY PARTICULAR PURPOSE, AND THE WARRANTY AGAINST IN-
 * FRINGEMENT OF PATENTS OR OTHER INTELLECTUAL PROPERTY RIGHTS.  THE
 * SOFTWARE IS PROVIDED "AS IS", AND IN NO EVENT SHALL KL GROUP OR
 * ANY OF ITS AFFILIATES BE LIABLE FOR ANY DAMAGES, INCLUDING ANY
 * LOST PROFITS OR OTHER INCIDENTAL OR CONSEQUENTIAL DAMAGES
 * RELATING TO THE USE OF THIS SOFTWARE.
 *
 *
 * XRT/field widget UIM/X integration file
 *
 *  SCCSID -- @(#)XrtFld_rtime.c	1.8    98/11/05 KL Group Inc.
 */

/******************************************************************************
				XrtFld_rtime.c
******************************************************************************/

#include <X11/Intrinsic.h>
#include "utype.h"

#include	"Xm/XrtField.h"
#include	"XrtFld_xtype.h"
#include	"Xrt_restable.h"

/****
 ****   The format is to call UxrDDInstall to add a new converter.
 ****
 ****   UxrDDInstall( SquareNmajorDimension, UxUT_string, UxXT_MajorDimension );
 ****   UxrDDInstall( SquareNmakeSquare, UxUT_string, UxXt_Boolean );
 ****/


static void
XrtFld_install_converters(table, nres, install_flag)
XrtFldResourceDesc	*table;
int			nres;
Boolean			install_flag;
{
	int n;
	XrtFldResDataType type;
	
	for (n = 0; n < nres; n++) {
		if (table[n].used && table[n].type->convert_flag == 1) {
			type = table[n].type->datatype.type_field;
			if (install_flag ||
				(type != XRTFLD_NEG_FORMAT && type != XRTFLD_MULTI_TYPE_LIST))
			{
				UxDDInstall(table[n].xt_name,
							table[n].type->utype,
							table[n].type->xtype);
			}
		}
	}
}

void
XrtFld_rtime()
{
	XrtFld_init_resource_table();
	XrtFld_install_converters(xrtfld_res_table, numfld_res, FALSE);
	XrtFld_install_converters(xrtfldstr_res_table, numfldstr_res, FALSE);
	XrtFld_install_converters(xrtflddat_res_table, numflddat_res, FALSE);
	XrtFld_install_converters(xrtfldflt_res_table, numfldflt_res, TRUE);
	XrtFld_install_converters(xrtfldint_res_table, numfldint_res, FALSE);
	XrtFld_install_converters(xrtfldcmb_res_table, numfldcmb_res, FALSE);
	XrtFld_install_converters(xrtfldspn_res_table, numfldspn_res, FALSE);
	XrtFld_install_converters(xrtfldcal_res_table, numfldcal_res, FALSE);
}
