/* ALL RIGHTS RESERVED
 *
 * This file is provided for demonstration and educational uses only.
 * Permission to use, copy, modify and distribute this file for
 * any purpose and without fee is hereby granted, provided that the
 * above copyright notice and this permission notice appear in all
 * copies, and that the name of KL Group not be used in advertising
 * or publicity pertaining to this material without the specific,
 * prior written permission of an authorized representative of
 * KL Group.
 *
 * KL GROUP MAKES NO REPRESENTATIONS AND EXTENDS NO WARRANTIES, EX-
 * PRESS OR IMPLIED, WITH RESPECT TO THE SOFTWARE, INCLUDING, BUT
 * NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND
 * FITNESS FOR ANY PARTICULAR PURPOSE, AND THE WARRANTY AGAINST IN-
 * FRINGEMENT OF PATENTS OR OTHER INTELLECTUAL PROPERTY RIGHTS.  THE
 * SOFTWARE IS PROVIDED "AS IS", AND IN NO EVENT SHALL KL GROUP OR
 * ANY OF ITS AFFILIATES BE LIABLE FOR ANY DAMAGES, INCLUDING ANY
 * LOST PROFITS OR OTHER INCIDENTAL OR CONSEQUENTIAL DAMAGES
 * RELATING TO THE USE OF THIS SOFTWARE.
 *
 *
 * XRT/gear widget UIM/X integration file
 *
 * $AstecId: XrtGear_conf.c,v 1.2 1999/10/13 11:42:45 nakayama Exp $
 *
 *  SCCSID -- @(#)XrtGear_conf.c	1.1    95/11/10 KL Group Inc.
 */

/******************************************************************************
				XrtGear_conf.c
******************************************************************************/

#include <Xm/XrtGearAll.h>
#include <Xm/XrtGearCombo.h> /*remove when added to All*/

#ifndef	UXREGFUNC
# ifdef __STDC__
#  define UXREGFUNC(func)	UxRegisterFunction( #func, func)
# else
#  define UXREGFUNC(func)	UxRegisterFunction( "func", func)
# endif
#endif

void
XrtGear_register_functions()
{
	UXREGFUNC(XmCreateXrtAligner);
	UXREGFUNC(XmCreateXrtGLabel);
	UXREGFUNC(XmCreateXrtPushButton);
	UXREGFUNC(XmCreateXrtTabButton);
	UXREGFUNC(XmCreateXrtTabManager);
	UXREGFUNC(XmCreateXrtToggleButton);
	UXREGFUNC(XmCreateXrtToolbar);
	UXREGFUNC(XrtGearSnapGetWidgetPixmap);
	UXREGFUNC(XrtGearSnapGetWidgetImage);
	UXREGFUNC(XrtGearSnapPrintPixmap);
	UXREGFUNC(XrtGearSnapVaPrintPixmap);
	UXREGFUNC(XrtGearTabManagerMakeTabVisible);
	UXREGFUNC(XrtGearTipsActionDisplay);
	UXREGFUNC(XrtGearTipsActionRemove);
	UXREGFUNC(XrtGearTipsAddCallbacks);
	UXREGFUNC(XrtGearTipsAddCallback);
	UXREGFUNC(XrtGearTipsDisplayHelp);
	UXREGFUNC(XrtGearTipsEnable);
	UXREGFUNC(XrtGearTipsGetWidgetList);
	UXREGFUNC(XrtGearTipsGetValues);
	UXREGFUNC(XrtGearTipsRemoveAllCallbacks);
	UXREGFUNC(XrtGearTipsRemoveCallbacks);
	UXREGFUNC(XrtGearTipsRemoveCallback);
	UXREGFUNC(XrtGearTipsRemoveHelp);
	UXREGFUNC(XrtGearTipsSetValues);
	UXREGFUNC(XrtGearTipsTrackingEvent);
	UXREGFUNC(XrtGearTipsVaGetValues);
	UXREGFUNC(XrtGearTipsVaSetValues);
	UXREGFUNC(XrtGearToggleButtonGetState);
	UXREGFUNC(XrtGearToggleButtonSetState);
}

XrtGear_config()
{
	XtInitializeWidgetClass(xmXrtManagerWidgetClass);
	XtInitializeWidgetClass(xmXrtAlignerWidgetClass);
	XtInitializeWidgetClass(xmXrtGLabelWidgetClass);
	XtInitializeWidgetClass(xmXrtPushButtonWidgetClass);
	XtInitializeWidgetClass(xmXrtTabButtonWidgetClass);
	XtInitializeWidgetClass(xmXrtTabManagerWidgetClass);
	XtInitializeWidgetClass(xmXrtToggleButtonWidgetClass);
	XtInitializeWidgetClass(xmXrtToolbarWidgetClass);

	XtInitializeWidgetClass(xmXrtOutlinerWidgetClass);
	XtInitializeWidgetClass(xmXrtNodeStyleObjectClass);
 	XtInitializeWidgetClass(xmXrtColumnObjectClass);
	XtInitializeWidgetClass(xmXrtGearComboWidgetClass);
	XtInitializeWidgetClass(xmXrtProgressWidgetClass);
	XtInitializeWidgetClass(xmXrtPanedWindowWidgetClass);
	XrtGear_register_functions();
}

