/* $AstecId: UxXrtBase.h,v 1.5 2000/06/19 08:32:17 kosaka Exp $ */
/* ALL RIGHTS RESERVED
 *
 * This file is provided for demonstration and educational uses only.
 * Permission to use, copy, modify and distribute this file for
 * any purpose and without fee is hereby granted, provided that the
 * above copyright notice and this permission notice appear in all
 * copies, and that the name of KL Group not be used in advertising
 * or publicity pertaining to this material without the specific,
 * prior written permission of an authorized representative of
 * KL Group.
 *
 * KL GROUP MAKES NO REPRESENTATIONS AND EXTENDS NO WARRANTIES, EX-
 * PRESS OR IMPLIED, WITH RESPECT TO THE SOFTWARE, INCLUDING, BUT
 * NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND
 * FITNESS FOR ANY PARTICULAR PURPOSE, AND THE WARRANTY AGAINST IN-
 * FRINGEMENT OF PATENTS OR OTHER INTELLECTUAL PROPERTY RIGHTS.  THE
 * SOFTWARE IS PROVIDED "AS IS", AND IN NO EVENT SHALL KL GROUP OR
 * ANY OF ITS AFFILIATES BE LIABLE FOR ANY DAMAGES, INCLUDING ANY
 * LOST PROFITS OR OTHER INCIDENTAL OR CONSEQUENTIAL DAMAGES
 * RELATING TO THE USE OF THIS SOFTWARE.
 *
 *
 * XRT/gear widget UIM/X integration file
 *
 * $AstecId: UxXrtBase.h,v 1.5 2000/06/19 08:32:17 kosaka Exp $
 *
 *  SCCSID --  @(#)UxXrtBase.h	1.3    99/01/29 KL Group Inc.
 */


/*
 * This  file contains definitions of constraints supplied by XRT widgets
 * and inherited by it's children (subclassed from UxBase 
 */

#ifndef XT_CODE

#include "Xrt_restable.h"
#ifdef	HASXRTGEAR
#include "Xm/XrtGear.h"
#endif	/* HASXRTGEAR */
#ifdef	HASXRTTABLE
#include "Xm/XrtTable.h"
#endif	/* HASXRTTABLE */

#ifdef DESIGN_TIME

#ifdef	HASXRTGEAR

#ifndef XRTGEAR_TABM_TABLE
#define XRTGEAR_TABM_TABLE(x)	xrtTabM_res_table[x].prpty, xrtTabM_res_table[x].name
#endif

#ifndef XRTGEAR_ALNR_TABLE
#define XRTGEAR_ALNR_TABLE(x)	xrtAlnr_res_table[x].prpty, xrtAlnr_res_table[x].name
#endif

#ifndef XRTGEAR_TOOLBAR_TABLE
#define XRTGEAR_TOOLBAR_TABLE(x)	xrtTbar_res_table[x].prpty, xrtTbar_res_table[x].name

#ifndef XRTGEAR_PANEDWINDOW_TABLE
#define XRTGEAR_PANEDWINDOW_TABLE(x) xrtPanedWindow_res_table[x].prpty,xrtPanedWindow_res_table[x].name
#endif

#endif

#endif	/* HASXRTGEAR */

#ifdef	HASXRTTABLE

#ifndef XRTTBL_TABLE
#define XRTTBL_TABLE(x)	xrttbl_res_table[x].prpty, xrttbl_res_table[x].name
#endif

#endif	/* HASXRTTABLE */

#else   /* not DESIGN_TIME */

#if defined(__alpha) && defined(__cplusplus)
#pragma message save
#pragma message disable narrowptr
#endif /* __alpha */

#ifdef	HASXRTGEAR

// Constraint resources of XrtAligner

	inline char * UxBase::GetXrtGearAlignerAlignment_Alnr (void) const
		{ return (char * ) DDGetProp(XmNxrtGearAlignerAlignment);}
	inline void UxBase::SetXrtGearAlignerAlignment_Alnr (const char * val)
		{ DDSetProp(XmNxrtGearAlignerAlignment, ((XtArgVal)(val)));}
	
	inline char * UxBase::GetXrtGearAlignBaseline_Alnr (void) const
		{ return (char * ) DDGetProp(XmNxrtGearAlignBaseline);}
	inline void UxBase::SetXrtGearAlignBaseline_Alnr (const char * val)
		{ DDSetProp(XmNxrtGearAlignBaseline, ((XtArgVal)(val)));}

	inline int UxBase::GetXrtGearPosition_Alnr (void) const
		{ return (int)IntGetProp(XmNxrtGearPosition);}
	inline void UxBase::SetXrtGearPosition_Alnr	(int val)
		{ SetProp(XmNxrtGearPosition, ((XtArgVal)(val)));}
	
	inline char * UxBase::GetXrtGearResizeHeight_Alnr (void) const
		{ return (char * ) DDGetProp(XmNxrtGearResizeHeight);}
	inline void UxBase::SetXrtGearResizeHeight_Alnr (const char * val)
		{ DDSetProp(XmNxrtGearResizeHeight, ((XtArgVal)(val)));}
		
	inline char * UxBase::GetXrtGearResizeWidth_Alnr (void) const
		{ return (char * ) DDGetProp(XmNxrtGearResizeWidth);}
	inline void UxBase::SetXrtGearResizeWidth_Alnr (const char * val)
		{ DDSetProp(XmNxrtGearResizeWidth, ((XtArgVal)(val)));}

// Constraint resources of XrtToolbar

	inline short UxBase::GetXrtGearBottomSpace_Tbar (void) const
		{ return (short ) ShortGetProp(XmNxrtGearBottomSpace);}
	inline void UxBase::SetXrtGearBottomSpace_Tbar (short val)
		{ SetProp(XmNxrtGearBottomSpace, ((XtArgVal)(val)));}

	inline short UxBase::GetXrtGearLeftSpace_Tbar (void) const
		{ return (short ) ShortGetProp(XmNxrtGearLeftSpace);}
	inline void UxBase::SetXrtGearLeftSpace_Tbar (short val)
		{ SetProp(XmNxrtGearLeftSpace, ((XtArgVal)(val)));}

	inline short UxBase::GetXrtGearRightSpace_Tbar (void) const
		{ return (short ) ShortGetProp(XmNxrtGearRightSpace);}
	inline void UxBase::SetXrtGearRightSpace_Tbar (short val)
		{ SetProp(XmNxrtGearRightSpace, ((XtArgVal)(val)));}

	inline short UxBase::GetXrtGearTopSpace_Tbar (void) const
		{ return (short ) ShortGetProp(XmNxrtGearTopSpace);}
	inline void UxBase::SetXrtGearTopSpace_Tbar (short val)
		{ SetProp(XmNxrtGearTopSpace, ((XtArgVal)(val)));}

	inline int UxBase::GetXrtGearPosition_Tbar (void) const
		{ return (int)IntGetProp(XmNxrtGearPosition);}
	inline void UxBase::SetXrtGearPosition_Tbar (int val)
		{ SetProp(XmNxrtGearPosition, ((XtArgVal)(val)));}

#endif	/* HASXRTGEAR */

#ifdef	HASXRTTABLE

// Constraint resources of XrtTable

	inline int UxBase::GetXrtTblBottomOffset (void) const
		{ return (int)IntGetProp(XmNxrtTblBottomOffset);}
	inline void UxBase::SetXrtTblBottomOffset (int val)
		{ SetProp(XmNxrtTblBottomOffset, ((XtArgVal)(val)));}
	
	inline int UxBase::GetXrtTblLeftOffset (void) const
		{ return (int)IntGetProp(XmNxrtTblLeftOffset);}
	inline void UxBase::SetXrtTblLeftOffset (int val)
		{ SetProp(XmNxrtTblLeftOffset, ((XtArgVal)(val)));}
	
	inline int UxBase::GetXrtTblRightOffset (void) const
		{ return (int)IntGetProp(XmNxrtTblRightOffset);}
	inline void UxBase::SetXrtTblRightOffset (int val)
		{ SetProp(XmNxrtTblRightOffset, ((XtArgVal)(val)));}
	
	inline int UxBase::GetXrtTblTopOffset (void) const
		{ return (int)IntGetProp(XmNxrtTblTopOffset);}
	inline void UxBase::SetXrtTblTopOffset (int val)
		{ SetProp(XmNxrtTblTopOffset, ((XtArgVal)(val)));}
	
	inline char * UxBase::GetXrtTblLocation (void) const
		{ return (char * ) DDGetProp(XmNxrtTblLocation);}
	inline void UxBase::SetXrtTblLocation (const char * val)
		{ DDSetProp(XmNxrtTblLocation, ((XtArgVal)(val)));}
	
	inline char * UxBase::GetXrtTblWidgetLocation (void) const
		{ return (char * ) DDGetProp(XmNxrtTblWidgetLocation);}
	inline void UxBase::SetXrtTblWidgetLocation (const char * val)
		{ DDSetProp(XmNxrtTblWidgetLocation, ((XtArgVal)(val)));}
	
	inline char * UxBase::GetXrtTblResizeToCell (void) const
		{ return (char *) DDGetProp(XmNxrtTblResizeToCell);}
	inline void UxBase::SetXrtTblResizeToCell (const char * val)
		{ DDSetProp(XmNxrtTblResizeToCell, ((XtArgVal)(val)));}

#endif	/* HASXRTTABLE */

#ifdef	HASXRTGEAR

// Constraint resources of XrtTabManager

	inline char * UxBase::GetXrtGearChildType_TabM (void) const
		{ return (char * ) DDGetProp(XmNxrtGearChildType);}

	inline int UxBase::GetXrtGearPageNumber_TabM (void) const
		{ return (int)IntGetProp(XmNxrtGearPageNumber);}
	inline void UxBase::SetXrtGearPageNumber_TabM (int val)
		{ SetProp(XmNxrtGearPageNumber, ((XtArgVal)(val)));}
	
	inline char * UxBase::GetXrtGearPageWidget_TabM (void) const
		{ return (char * ) DDGetProp(XmNxrtGearPageWidget);}
	inline void UxBase::SetXrtGearPageWidget_TabM (const char * val)
		{ DDSetProp(XmNxrtGearPageWidget, ((XtArgVal)(val)));}
	
//	inline int UxBase::GetXrtGearWidgetPosition_TabM (void) const
//		{ return (int)IntGetProp(XmNxrtGearWidgetPosition);}

// Constraint resources of XrtPanedWindow

	inline char * UxBase::GetXrtGearAllowResize_PanedW (void) const
		{ return (char *) DDGetProp(XmNxrtGearAllowResize);}
	inline void UxBase::SetXrtGearAllowResize_PanedW(const char * val)
		{ DDSetProp(XmNxrtGearAllowResize, ((XtArgVal)(val)));}

	inline short UxBase::GetXrtGearMaximum_PanedW (void) const
		{ return (short) ShortGetProp(XmNxrtGearMaximum);}
	inline void UxBase::SetXrtGearMaximum_PanedW(short val)
		{ SetProp(XmNxrtGearMaximum, ((XtArgVal)(val)));}

	inline short UxBase::GetXrtGearMinimum_PanedW (void) const
		{ return (short) ShortGetProp(XmNxrtGearMinimum);}
	inline void UxBase::SetXrtGearMinimum_PanedW(short val)
		{ SetProp(XmNxrtGearMinimum, ((XtArgVal)(val)));}

	inline short UxBase::GetXrtGearPosition_PanedW (void) const
		{ return (short) ShortGetProp(XmNxrtGearPosition);}
	inline void UxBase::SetXrtGearPosition_PanedW(short val)
		{ SetProp(XmNxrtGearPosition, ((XtArgVal)(val)));}

	inline char * UxBase::GetXrtGearSkipAdjust_PanedW (void) const
		{ return (char *) DDGetProp(XmNxrtGearSkipAdjust);}
	inline void UxBase::SetXrtGearSkipAdjust_PanedW(const char * val)
		{ DDSetProp(XmNxrtGearSkipAdjust, ((XtArgVal)(val)));}

#endif	/* HASXRTGEAR */

#if defined(__alpha) && defined(__cplusplus)
#pragma message restore
#endif /* __alpha */

#endif /* DESIGN_TIME */
#endif /* XT_CODE */

