/* ALL RIGHTS RESERVED
 *
 * This file is provided for demonstration and educational uses only.
 * Permission to use, copy, modify and distribute this file for
 * any purpose and without fee is hereby granted, provided that the
 * above copyright notice and this permission notice appear in all
 * copies, and that the name of KL Group not be used in advertising
 * or publicity pertaining to this material without the specific,
 * prior written permission of an authorized representative of
 * KL Group.
 *
 * KL GROUP MAKES NO REPRESENTATIONS AND EXTENDS NO WARRANTIES, EX-
 * PRESS OR IMPLIED, WITH RESPECT TO THE SOFTWARE, INCLUDING, BUT
 * NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND
 * FITNESS FOR ANY PARTICULAR PURPOSE, AND THE WARRANTY AGAINST IN-
 * FRINGEMENT OF PATENTS OR OTHER INTELLECTUAL PROPERTY RIGHTS.  THE
 * SOFTWARE IS PROVIDED "AS IS", AND IN NO EVENT SHALL KL GROUP OR
 * ANY OF ITS AFFILIATES BE LIABLE FOR ANY DAMAGES, INCLUDING ANY
 * LOST PROFITS OR OTHER INCIDENTAL OR CONSEQUENTIAL DAMAGES
 * RELATING TO THE USE OF THIS SOFTWARE.
 *
 *
 * XRT/gear widget UIM/X integration file
 *
 *  SCCSID -- @(#)UxXrtGaCircularScale.h	1.3    99/12/13 KL Group Inc.
 */

/******************************************************************************
				UxXrtGaCircularScale.h
******************************************************************************/

#ifndef UxXrtGaCircularScale_h
#define UxXrtGaCircularScale_h

#include <Xm/XrtGaCircularScale.h>	/* Widget class public header file */
#include "Xrt_restable.h"
#include "UxGadget.h"
#include "UxXrtGaCircularScale.hxx"  /* Include C++ header file (New in UIM/X 3.0)*/

#ifdef DESIGN_TIME
#ifndef NO_UX_MACROS

#define XrtGaCScale_prpty_name(x)	XrtGaCircularScale_res_table[x].prpty, XrtGaCircularScale_res_table[x].name

#ifdef hp700v9
#define XrtGaDoubleToArgVal(d) UxXrtGaDoubleToArgVal(0,d)
#endif /* hp700v9 */

#ifndef UxGetBackground
#define UxGetBackground(sw) \
	UxGET_string(sw, XrtGaCScale_prpty_name(XrtGaCScale_background))
#endif
#ifndef UxPutBackground
#define UxPutBackground(sw, val) \
	UxPUT_string(sw, XrtGaCScale_prpty_name(XrtGaCScale_background),val)
#endif

#ifndef UxGetXrtGaAllowTransform
#define UxGetXrtGaAllowTransform(sw) \
	UxGET_string(sw,XrtGaCScale_prpty_name(XrtGaCScale_AllowTransform))
#endif
#ifndef UxPutXrtGaAllowTransform
#define UxPutXrtGaAllowTransform(sw, val) \
	UxPUT_string(sw,XrtGaCScale_prpty_name(XrtGaCScale_AllowTransform), val)
#endif

#ifndef UxGetXrtGaDebug
#define UxGetXrtGaDebug(sw) \
	UxGET_string(sw, XrtGaCScale_prpty_name(XrtGaCScale_Debug))
#endif
#ifndef UxPutXrtGaDebug
#define UxPutXrtGaDebug(sw, val) \
	UxPUT_string(sw, XrtGaCScale_prpty_name(XrtGaCScale_Debug), val)
#endif

#ifndef UxGetXrtGaDirection
#define UxGetXrtGaDirection(sw) \
	UxGET_string(sw, XrtGaCScale_prpty_name(XrtGaCScale_Direction))
#endif
#ifndef UxPutXrtGaDirection
#define UxPutXrtGaDirection(sw, val) \
	UxPUT_string(sw, XrtGaCScale_prpty_name(XrtGaCScale_Direction),val)
#endif

#ifndef UxGetXrtGaMax
#define UxGetXrtGaMax(sw) \
	UxGET_float(sw, XrtGaCScale_prpty_name(XrtGaCScale_Max))
#endif
#ifndef UxPutXrtGaMax
#define UxPutXrtGaMax(sw, val) \
	UxPUT_float(sw, XrtGaCScale_prpty_name(XrtGaCScale_Max), val)
#endif

#ifndef UxGetXrtGaMin
#define UxGetXrtGaMin(sw) \
	UxGET_float(sw, XrtGaCScale_prpty_name(XrtGaCScale_Min))
#endif
#ifndef UxPutXrtGaMin
#define UxPutXrtGaMin(sw, val) \
	UxPUT_float(sw, XrtGaCScale_prpty_name(XrtGaCScale_Min), val)
#endif

#ifndef UxGetXrtGaRadiusSize
#define UxGetXrtGaRadiusSize(sw) \
	UxGET_int(sw, XrtGaCScale_prpty_name(XrtGaCScale_RadiusSize))
#endif
#ifndef UxPutXrtGaRadiusSize
#define UxPutXrtGaRadiusSize(sw, val) \
	UxPUT_int(sw, XrtGaCScale_prpty_name(XrtGaCScale_RadiusSize), val)
#endif

#ifndef UxGetXrtGaStartAngle
#define UxGetXrtGaStartAngle(sw) \
	UxGET_float(sw, XrtGaCScale_prpty_name(XrtGaCScale_StartAngle))
#endif
#ifndef UxPutXrtGaStartAngle
#define UxPutXrtGaStartAngle(sw, val) \
	UxPUT_float(sw, XrtGaCScale_prpty_name(XrtGaCScale_StartAngle),val)
#endif

#ifndef UxGetXrtGaStopAngle
#define UxGetXrtGaStopAngle(sw) \
	UxGET_float(sw, XrtGaCScale_prpty_name(XrtGaCScale_StopAngle))
#endif
#ifndef UxPutXrtGaStopAngle
#define UxPutXrtGaStopAngle(sw, val) \
	UxPUT_float(sw, XrtGaCScale_prpty_name(XrtGaCScale_StopAngle),val)
#endif

#ifndef UxGetXrtGaXOrigin
#define UxGetXrtGaXOrigin(sw) \
	UxGET_int(sw, XrtGaCScale_prpty_name(XrtGaCScale_XOrigin))
#endif
#ifndef UxPutXrtGaXOrigin
#define UxPutXrtGaXOrigin(sw, val) \
	UxPUT_int(sw, XrtGaCScale_prpty_name(XrtGaCScale_XOrigin), val)
#endif

#ifndef UxGetXrtGaYOrigin
#define UxGetXrtGaYOrigin(sw) \
	UxGET_int(sw, XrtGaCScale_prpty_name(XrtGaCScale_YOrigin))
#endif
#ifndef UxPutXrtGaYOrigin
#define UxPutXrtGaYOrigin(sw, val) \
	UxPUT_int(sw, XrtGaCScale_prpty_name(XrtGaCScale_YOrigin), val)
#endif


#endif /* NO_UX_MACROS */

extern Class_t	UxC_XrtGaCircularScale;

/* Design-time create macro */
#ifndef UxCreateXrtGaCircularScale
#define UxCreateXrtGaCircularScale(name, parent) \
	UxCreateSwidget(UxC_XrtGaCircularScale, name, parent)
#endif

#else /* RUN-TIME */

extern int	XrtGaGetDoubleProp();
extern double	XrtGaArgValToDouble();

#define RT_GA_GET_DOUBLE(sw,res) \
	XrtGaArgValToDouble(UxGetXrtGaDoubleProp(sw,res))

#define RT_GA_PUT_DOUBLE(sw,res,val) \
	UxPutProp(sw,res,(XtArgVal)XrtGaDoubleToArgVal((double)val))

#ifndef UxGetBackground
#define UxGetBackground(sw) \
	(char *) UxDDGetProp(sw, XmNbackground)
#endif
#ifndef UxPutBackground
#define UxPutBackground(sw, val) \
	UxDDPutProp(sw, XmNbackground, ((XtArgVal)(val)))
#endif

#ifndef UxGetXrtGaAllowTransform
#define UxGetXrtGaAllowTransform(sw) \
	(char *) UxDDGetProp(sw, XmNxrtGaAllowTransform)
#endif
#ifndef UxPutXrtGaAllowTransform
#define UxPutXrtGaAllowTransform(sw, val) \
	UxDDPutProp(sw, XmNxrtGaAllowTransform, ((XtArgVal)(val)))
#endif

#ifndef UxGetXrtGaDebug
#define UxGetXrtGaDebug(sw) \
	(char *) UxDDGetProp(sw, XmNxrtGaDebug)
#endif
#ifndef UxPutXrtGaDebug
#define UxPutXrtGaDebug(sw, val) \
	UxDDPutProp(sw, XmNxrtGaDebug, ((XtArgVal)(val)))
#endif

#ifndef UxGetXrtGaDirection
#define UxGetXrtGaDirection(sw) \
	(char *) UxDDGetProp(sw, XmNxrtGaDirection)
#endif
#ifndef UxPutXrtGaDirection
#define UxPutXrtGaDirection(sw, val) \
	UxDDPutProp(sw, XmNxrtGaDirection, ((XtArgVal)(val)))
#endif

#ifndef UxGetXrtGaMax
#define UxGetXrtGaMax(sw) \
	(double) RT_GA_GET_DOUBLE(sw, XmNxrtGaMax)
#endif
#ifndef UxPutXrtGaMax
#define UxPutXrtGaMax(sw, val) \
	RT_GA_PUT_DOUBLE(sw, XmNxrtGaMax, (val))
#endif

#ifndef UxGetXrtGaMin
#define UxGetXrtGaMin(sw) \
	(double) RT_GA_GET_DOUBLE(sw, XmNxrtGaMin)
#endif
#ifndef UxPutXrtGaMin
#define UxPutXrtGaMin(sw, val) \
	RT_GA_PUT_DOUBLE(sw, XmNxrtGaMin, (val))
#endif

#ifndef UxGetXrtGaRadiusSize
#define UxGetXrtGaRadiusSize(sw) \
	(int) UxGetProp(sw, XmNxrtGaRadiusSize)
#endif
#ifndef UxPutXrtGaRadiusSize
#define UxPutXrtGaRadiusSize(sw, val) \
	UxPutProp(sw, XmNxrtGaRadiusSize, ((XtArgVal)(val)))
#endif

#ifndef UxGetXrtGaStartAngle
#define UxGetXrtGaStartAngle(sw) \
	(double) RT_GA_GET_DOUBLE(sw, XmNxrtGaStartAngle)
#endif
#ifndef UxPutXrtGaStartAngle
#define UxPutXrtGaStartAngle(sw, val) \
	RT_GA_PUT_DOUBLE(sw, XmNxrtGaStartAngle, (val))
#endif

#ifndef UxGetXrtGaStopAngle
#define UxGetXrtGaStopAngle(sw) \
	(double) RT_GA_GET_DOUBLE(sw, XmNxrtGaStopAngle)
#endif
#ifndef UxPutXrtGaStopAngle
#define UxPutXrtGaStopAngle(sw, val) \
	RT_GA_PUT_DOUBLE(sw, XmNxrtGaStopAngle, (val))
#endif

#ifndef UxGetXrtGaXOrigin
#define UxGetXrtGaXOrigin(sw) \
	(int) UxGetProp(sw, XmNxrtGaXOrigin)
#endif
#ifndef UxPutXrtGaXOrigin
#define UxPutXrtGaXOrigin(sw, val) \
	UxPutProp(sw, XmNxrtGaXOrigin, ((XtArgVal)(val)))
#endif

#ifndef UxGetXrtGaYOrigin
#define UxGetXrtGaYOrigin(sw) \
	(int) UxGetProp(sw, XmNxrtGaYOrigin)
#endif
#ifndef UxPutXrtGaYOrigin
#define UxPutXrtGaYOrigin(sw, val) \
	UxPutProp(sw, XmNxrtGaYOrigin, ((XtArgVal)(val)))
#endif


/* Runtime create macro */
#ifndef UxCreateXrtGaCircularScale
#define UxCreateXrtGaCircularScale(name, parent) \
	UxCreateSwidget(name, xmXrtGaCircularScaleObjectClass, parent)
#endif


#endif /* DESIGN_TIME */

#endif

