/* ALL RIGHTS RESERVED
 *
 * This file is provided for demonstration and educational uses only.
 * Permission to use, copy, modify and distribute this file for
 * any purpose and without fee is hereby granted, provided that the
 * above copyright notice and this permission notice appear in all
 * copies, and that the name of KL Group not be used in advertising
 * or publicity pertaining to this material without the specific,
 * prior written permission of an authorized representative of
 * KL Group.
 *
 * KL GROUP MAKES NO REPRESENTATIONS AND EXTENDS NO WARRANTIES, EX-
 * PRESS OR IMPLIED, WITH RESPECT TO THE SOFTWARE, INCLUDING, BUT
 * NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND
 * FITNESS FOR ANY PARTICULAR PURPOSE, AND THE WARRANTY AGAINST IN-
 * FRINGEMENT OF PATENTS OR OTHER INTELLECTUAL PROPERTY RIGHTS.  THE
 * SOFTWARE IS PROVIDED "AS IS", AND IN NO EVENT SHALL KL GROUP OR
 * ANY OF ITS AFFILIATES BE LIABLE FOR ANY DAMAGES, INCLUDING ANY
 * LOST PROFITS OR OTHER INCIDENTAL OR CONSEQUENTIAL DAMAGES
 * RELATING TO THE USE OF THIS SOFTWARE.
 *
 *
 * XRT/gauge widget UIM/X integration file
 *
 * $AstecId: UxXrtGaCircularScale.hxx,v 1.3 2003/02/14 02:24:57 kosaka Exp $
 *
 *  SCCSID -- @(#)UxXrtGaCircularScale.hxx	1.4    00/01/05 KL Group Inc.
 */

#if defined(__cplusplus) && !defined(XT_CODE) && !defined(NO_UXBINDINGS)  && !defined(UIMX2_9)

class UxXrtGaCircularScale : public UxGadget
{
    public:

	// Constructors
	UXINLINE UxXrtGaCircularScale(void);
	UXINLINE UxXrtGaCircularScale(const char*, swidget);

	// Initialisation
	UXINLINE swidget CreateSwidget(const char*, swidget);

	// Resource accessor functions

	UXINLINE char * GetBackground () const;
	UXINLINE void SetBackground (const char *);

	UXINLINE char * GetXrtGaAllowTransform () const;
	UXINLINE void SetXrtGaAllowTransform (const char *);

	UXINLINE char * GetXrtGaDebug () const;
	UXINLINE void SetXrtGaDebug (const char *);

	UXINLINE char * GetXrtGaDirection () const;
	UXINLINE void SetXrtGaDirection (const char *);

	UXINLINE double GetXrtGaMax () const;
	UXINLINE void SetXrtGaMax (double);

	UXINLINE double GetXrtGaMin () const;
	UXINLINE void SetXrtGaMin (double);

	UXINLINE int GetXrtGaRadiusSize () const;
	UXINLINE void SetXrtGaRadiusSize (int);

	UXINLINE double GetXrtGaStartAngle () const;
	UXINLINE void SetXrtGaStartAngle (double);

	UXINLINE double GetXrtGaStopAngle () const;
	UXINLINE void SetXrtGaStopAngle (double);

	UXINLINE int GetXrtGaXOrigin () const;
	UXINLINE void SetXrtGaXOrigin (int);

	UXINLINE int GetXrtGaYOrigin () const;
	UXINLINE void SetXrtGaYOrigin (int);


};

#ifdef DESIGN_TIME

#define XrtGaCScale_prpty_name(x)	XrtGaCircularScale_res_table[x].prpty, XrtGaCircularScale_res_table[x].name

extern Class_t UxC_XrtGaCircularScale;

#else /* (not DESIGN_TIME) */

#if defined(__alpha) && defined(__cplusplus)
#pragma message save
#pragma message disable narrowptr
#endif /* __alpha */

// define macro to access properties of type double

extern "C" {
	XtArgVal UxGetXrtGaDoubleProp(swidget sw, char *res);
	double   XrtGaArgValToDouble(XtArgVal val);
	XtArgVal XrtGaDoubleToArgVal(double val);
}

#define RT_GA_GET_DOUBLE(res) \
	XrtGaArgValToDouble(UxGetXrtGaDoubleProp(UxThis,res))
#define RT_GA_PUT_DOUBLE(res,val) \
	UxPutProp(UxThis,res,(XtArgVal)XrtGaDoubleToArgVal((double)val))

// Constructors
inline UxXrtGaCircularScale::UxXrtGaCircularScale(void){}
inline UxXrtGaCircularScale::UxXrtGaCircularScale(const char* name, swidget uXParent)
{
	CreateSwidget(name,uXParent);
}

// Initialisation
inline swidget
UxXrtGaCircularScale::CreateSwidget (const char* name, swidget parent)
{
	if (UxThis == NULL)
		UxThis = UxCreateSwidget( (char *) name,
					  xmXrtGaCircularScaleWidgetClass, parent);
	return UxThis;
}

inline char *  UxXrtGaCircularScale::GetBackground (void) const
        { return (char * ) DDGetProp(XmNbackground);}
inline void UxXrtGaCircularScale::SetBackground (const char * val)
        { DDSetProp(XmNbackground, ((XtArgVal)(val)));}

inline char *  UxXrtGaCircularScale::GetXrtGaAllowTransform (void) const
        { return (char * ) DDGetProp(XmNxrtGaAllowTransform);}
inline void UxXrtGaCircularScale::SetXrtGaAllowTransform (const char * val)
        { DDSetProp(XmNxrtGaAllowTransform, ((XtArgVal)(val)));}

inline char *  UxXrtGaCircularScale::GetXrtGaDebug (void) const
        { return (char * ) DDGetProp(XmNxrtGaDebug);}
inline void UxXrtGaCircularScale::SetXrtGaDebug (const char * val)
        { DDSetProp(XmNxrtGaDebug, ((XtArgVal)(val)));}

inline char *  UxXrtGaCircularScale::GetXrtGaDirection (void) const
        { return (char * ) DDGetProp(XmNxrtGaDirection);}
inline void UxXrtGaCircularScale::SetXrtGaDirection (const char * val)
        { DDSetProp(XmNxrtGaDirection, ((XtArgVal)(val)));}

inline double UxXrtGaCircularScale::GetXrtGaMax (void) const
	{ return RT_GA_GET_DOUBLE(XmNxrtGaMax);}
inline void UxXrtGaCircularScale::SetXrtGaMax (double val)
	{ RT_GA_PUT_DOUBLE(XmNxrtGaMax,val);}

inline double UxXrtGaCircularScale::GetXrtGaMin (void) const
	{ return RT_GA_GET_DOUBLE(XmNxrtGaMin);}
inline void UxXrtGaCircularScale::SetXrtGaMin (double val)
	{ RT_GA_PUT_DOUBLE(XmNxrtGaMin,val);}

inline int UxXrtGaCircularScale::GetXrtGaRadiusSize (void) const
	{ return (int)IntGetProp(XmNxrtGaRadiusSize);}
inline void UxXrtGaCircularScale::SetXrtGaRadiusSize (int val)
	{ SetProp(XmNxrtGaRadiusSize, ((XtArgVal)(val)));}

inline double UxXrtGaCircularScale::GetXrtGaStartAngle (void) const
	{ return RT_GA_GET_DOUBLE(XmNxrtGaStartAngle);}
inline void UxXrtGaCircularScale::SetXrtGaStartAngle (double val)
	{ RT_GA_PUT_DOUBLE(XmNxrtGaStartAngle,val);}

inline double UxXrtGaCircularScale::GetXrtGaStopAngle (void) const
	{ return RT_GA_GET_DOUBLE(XmNxrtGaStopAngle);}
inline void UxXrtGaCircularScale::SetXrtGaStopAngle (double val)
	{ RT_GA_PUT_DOUBLE(XmNxrtGaStopAngle,val);}

inline int UxXrtGaCircularScale::GetXrtGaXOrigin (void) const
	{ return (int)IntGetProp(XmNxrtGaXOrigin);}
inline void UxXrtGaCircularScale::SetXrtGaXOrigin (int val)
	{ SetProp(XmNxrtGaXOrigin, ((XtArgVal)(val)));}

inline int UxXrtGaCircularScale::GetXrtGaYOrigin (void) const
	{ return (int)IntGetProp(XmNxrtGaYOrigin);}
inline void UxXrtGaCircularScale::SetXrtGaYOrigin (int val)
	{ SetProp(XmNxrtGaYOrigin, ((XtArgVal)(val)));}


#undef RT_GA_GET_DOUBLE
#undef RT_GA_PUT_DOUBLE

#if defined(__alpha) && defined(__cplusplus)
#pragma message restore
#endif /* __alpha */

#endif /* DESIGN_TIME */
#endif /* __cplusplus */
