/* ALL RIGHTS RESERVED
 *
 * This file is provided for demonstration and educational uses only.
 * Permission to use, copy, modify and distribute this file for
 * any purpose and without fee is hereby granted, provided that the
 * above copyright notice and this permission notice appear in all
 * copies, and that the name of KL Group not be used in advertising
 * or publicity pertaining to this material without the specific,
 * prior written permission of an authorized representative of
 * KL Group.
 *
 * KL GROUP MAKES NO REPRESENTATIONS AND EXTENDS NO WARRANTIES, EX-
 * PRESS OR IMPLIED, WITH RESPECT TO THE SOFTWARE, INCLUDING, BUT
 * NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND
 * FITNESS FOR ANY PARTICULAR PURPOSE, AND THE WARRANTY AGAINST IN-
 * FRINGEMENT OF PATENTS OR OTHER INTELLECTUAL PROPERTY RIGHTS.  THE
 * SOFTWARE IS PROVIDED "AS IS", AND IN NO EVENT SHALL KL GROUP OR
 * ANY OF ITS AFFILIATES BE LIABLE FOR ANY DAMAGES, INCLUDING ANY
 * LOST PROFITS OR OTHER INCIDENTAL OR CONSEQUENTIAL DAMAGES
 * RELATING TO THE USE OF THIS SOFTWARE.
 *
 *
 * XRT/gear widget UIM/X integration file
 *
 *  SCCSID -- @(#)UxXrtGaIcon.h	1.3    99/12/13 KL Group Inc.
 */

/******************************************************************************
				UxXrtGaIcon.h
******************************************************************************/

#ifndef UxXrtGaIcon_h
#define UxXrtGaIcon_h

#include <Xm/XrtGaIcon.h>	/* Widget class public header file */
#include "Xrt_restable.h"
#include "UxGadget.h"
#include "UxXrtGaIcon.hxx"  /* Include C++ header file (New in UIM/X 3.0)*/

#ifdef DESIGN_TIME
#ifndef NO_UX_MACROS

#define XrtGaIcon_prpty_name(x)	XrtGaIcon_res_table[x].prpty, XrtGaIcon_res_table[x].name

#ifndef UxGetBackground
#define UxGetBackground(sw) \
	UxGET_string(sw, XrtGaIcon_prpty_name(XrtGaIcon_background))
#endif
#ifndef UxPutBackground
#define UxPutBackground(sw, val) \
	UxPUT_string(sw, XrtGaIcon_prpty_name(XrtGaIcon_background), val)
#endif

#ifndef UxGetXrtGaDebug
#define UxGetXrtGaDebug(sw) \
	UxGET_string(sw, XrtGaIcon_prpty_name(XrtGaIcon_Debug))
#endif
#ifndef UxPutXrtGaDebug
#define UxPutXrtGaDebug(sw, val) \
	UxPUT_string(sw, XrtGaIcon_prpty_name(XrtGaIcon_Debug), val)
#endif

#ifndef UxGetXrtGaOffColor
#define UxGetXrtGaOffColor(sw) \
	UxGET_string(sw, XrtGaIcon_prpty_name(XrtGaIcon_OffColor))
#endif
#ifndef UxPutXrtGaOffColor
#define UxPutXrtGaOffColor(sw, val) \
	UxPUT_string(sw, XrtGaIcon_prpty_name(XrtGaIcon_OffColor), val)
#endif

#ifndef UxGetXrtGaOnColor
#define UxGetXrtGaOnColor(sw) \
	UxGET_string(sw, XrtGaIcon_prpty_name(XrtGaIcon_OnColor))
#endif
#ifndef UxPutXrtGaOnColor
#define UxPutXrtGaOnColor(sw, val) \
	UxPUT_string(sw, XrtGaIcon_prpty_name(XrtGaIcon_OnColor), val)
#endif

#ifndef UxGetXrtGaOffImage
#define UxGetXrtGaOffImage(sw) \
	UxGET_string(sw, XrtGaIcon_prpty_name(XrtGaIcon_OffImage))
#endif
#ifndef UxPutXrtGaOffImage
#define UxPutXrtGaOffImage(sw, val) \
	UxPUT_string(sw, XrtGaIcon_prpty_name(XrtGaIcon_OffImage), val)
#endif

#ifndef UxGetXrtGaOnImage
#define UxGetXrtGaOnImage(sw) \
	UxGET_string(sw, XrtGaIcon_prpty_name(XrtGaIcon_OnImage))
#endif
#ifndef UxPutXrtGaOnImage
#define UxPutXrtGaOnImage(sw, val) \
	UxPUT_string(sw, XrtGaIcon_prpty_name(XrtGaIcon_OnImage), val)
#endif

#ifndef UxGetXrtGaShape
#define UxGetXrtGaShape(sw) \
	UxGET_string(sw, XrtGaIcon_prpty_name(XrtGaIcon_Shape))
#endif
#ifndef UxPutXrtGaShape
#define UxPutXrtGaShape(sw, val) \
	UxPUT_string(sw, XrtGaIcon_prpty_name(XrtGaIcon_Shape), val)
#endif



#endif /* NO_UX_MACROS */

extern Class_t	UxC_XrtGaIcon;

/* Design-time create macro */
#ifndef UxCreateXrtGaIcon
#define UxCreateXrtGaIcon(name, parent) \
	UxCreateSwidget(UxC_XrtGaIcon, name, parent)
#endif

#else /* RUN-TIME */

#ifndef UxGetBackground
#define UxGetBackground(sw) \
	(char *) UxDDGetProp(sw, XmNbackground)
#endif
#ifndef UxPutBackground
#define UxPutBackground(sw, val) \
	UxDDPutProp(sw, XmNbackground, ((XtArgVal)(val)))
#endif

#ifndef UxGetXrtGaDebug
#define UxGetXrtGaDebug(sw) \
	(char *) UxDDGetProp(sw, XmNxrtGaDebug)
#endif
#ifndef UxPutXrtGaDebug
#define UxPutXrtGaDebug(sw, val) \
	UxDDPutProp(sw, XmNxrtGaDebug, ((XtArgVal)(val)))
#endif

#ifndef UxGetXrtGaOffColor
#define UxGetXrtGaOffColor(sw) \
	(char *) UxDDGetProp(sw, XmNxrtGaOffColor)
#endif
#ifndef UxPutXrtGaOffColor
#define UxPutXrtGaOffColor(sw, val) \
	UxDDPutProp(sw, XmNxrtGaOffColor, ((XtArgVal)(val)))
#endif

#ifndef UxGetXrtGaOnColor
#define UxGetXrtGaOnColor(sw) \
	(char *) UxDDGetProp(sw, XmNxrtGaOnColor)
#endif
#ifndef UxPutXrtGaOnColor
#define UxPutXrtGaOnColor(sw, val) \
	UxDDPutProp(sw, XmNxrtGaOnColor, ((XtArgVal)(val)))
#endif

#ifndef UxGetXrtGaOffImage
#define UxGetXrtGaOffImage(sw) \
	(char *) UxDDGetProp(sw, XmNxrtGaOffImage)
#endif
#ifndef UxPutXrtGaOffImage
#define UxPutXrtGaOffImage(sw, val) \
	UxDDPutProp(sw, XmNxrtGaOffImage, ((XtArgVal)(val)))
#endif

#ifndef UxGetXrtGaOnImage
#define UxGetXrtGaOnImage(sw) \
	(char *) UxDDGetProp(sw, XmNxrtGaOnImage)
#endif
#ifndef UxPutXrtGaOnImage
#define UxPutXrtGaOnImage(sw, val) \
	UxDDPutProp(sw, XmNxrtGaOnImage, ((XtArgVal)(val)))
#endif

#ifndef UxGetXrtGaShape
#define UxGetXrtGaShape(sw) \
	(char *) UxDDGetProp(sw, XmNxrtGaShape)
#endif
#ifndef UxPutXrtGaShape
#define UxPutXrtGaShape(sw, val) \
	UxDDPutProp(sw, XmNxrtGaShape, ((XtArgVal)(val)))
#endif


/* Runtime create macro */
#ifndef UxCreateXrtGaIcon
#define UxCreateXrtGaIcon(name, parent) \
	UxCreateSwidget(name, xmXrtGaIconObjectClass, parent)
#endif

#endif /* DESIGN_TIME */

#endif

