/* ALL RIGHTS RESERVED
 *
 * This file is provided for demonstration and educational uses only.
 * Permission to use, copy, modify and distribute this file for
 * any purpose and without fee is hereby granted, provided that the
 * above copyright notice and this permission notice appear in all
 * copies, and that the name of KL Group not be used in advertising
 * or publicity pertaining to this material without the specific,
 * prior written permission of an authorized representative of
 * KL Group.
 *
 * KL GROUP MAKES NO REPRESENTATIONS AND EXTENDS NO WARRANTIES, EX-
 * PRESS OR IMPLIED, WITH RESPECT TO THE SOFTWARE, INCLUDING, BUT
 * NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND
 * FITNESS FOR ANY PARTICULAR PURPOSE, AND THE WARRANTY AGAINST IN-
 * FRINGEMENT OF PATENTS OR OTHER INTELLECTUAL PROPERTY RIGHTS.  THE
 * SOFTWARE IS PROVIDED "AS IS", AND IN NO EVENT SHALL KL GROUP OR
 * ANY OF ITS AFFILIATES BE LIABLE FOR ANY DAMAGES, INCLUDING ANY
 * LOST PROFITS OR OTHER INCIDENTAL OR CONSEQUENTIAL DAMAGES
 * RELATING TO THE USE OF THIS SOFTWARE.
 *
 *
 * XRT/gauge widget UIM/X integration file
 *
 * $AstecID$
 *
 *  SCCSID -- @(#)UxXrtGaItem.hxx	1.3    00/01/05 KL Group Inc.
 */

#if defined(__cplusplus) && !defined(XT_CODE) && !defined(NO_UXBINDINGS)  && !defined(UIMX2_9)

class UxXrtGaItem : public UxGadget
{
    public:

	// Constructors
	UXINLINE UxXrtGaItem(void);
	UXINLINE UxXrtGaItem(const char*, swidget);

	// Initialisation
	UXINLINE swidget CreateSwidget(const char*, swidget);

	// Resource accessor functions

	UXINLINE char * GetBackground () const;
	UXINLINE void SetBackground (const char *);

	UXINLINE char * GetXrtGaDebug () const;
	UXINLINE void SetXrtGaDebug (const char *);

	UXINLINE char * GetXrtGaImage () const;
	UXINLINE void SetXrtGaImage (const char *);

	UXINLINE char * GetXrtGaIsShowing () const;
	UXINLINE void SetXrtGaIsShowing (const char *);

	UXINLINE double GetXrtGaLabelExtent () const;
	UXINLINE void SetXrtGaLabelExtent (double);

	UXINLINE double GetXrtGaValue () const;
	UXINLINE void SetXrtGaValue (double);


};

#ifdef DESIGN_TIME

#define XrtGaItem_prpty_name(x)	XrtGaItem_res_table[x].prpty, XrtGaItem_res_table[x].name

extern Class_t UxC_XrtGaItem;

#else /* (not DESIGN_TIME) */

#if defined(__alpha) && defined(__cplusplus)
#pragma message save
#pragma message disable narrowptr
#endif /* __alpha */

// define macro to access properties of type double

extern "C" {
	XtArgVal UxGetXrtGaDoubleProp(swidget sw, char *res);
	double   XrtGaArgValToDouble(XtArgVal val);
	XtArgVal XrtGaDoubleToArgVal(double val);
}

#define RT_GA_GET_DOUBLE(res) \
	XrtGaArgValToDouble(UxGetXrtGaDoubleProp(UxThis,res))
#define RT_GA_PUT_DOUBLE(res,val) \
	UxPutProp(UxThis,res,(XtArgVal)XrtGaDoubleToArgVal((double)val))

// Constructors
inline UxXrtGaItem::UxXrtGaItem(void){}
inline UxXrtGaItem::UxXrtGaItem(const char* name, swidget uXParent)
{
	CreateSwidget(name,uXParent);
}

// Initialisation
inline swidget
UxXrtGaItem::CreateSwidget (const char* name, swidget parent)
{
	if (UxThis == NULL)
		UxThis = UxCreateSwidget( (char *) name,
					  xmXrtGaItemWidgetClass, parent);
	return UxThis;
}

inline char *  UxXrtGaItem::GetBackground (void) const
        { return (char * ) DDGetProp(XmNbackground);}
inline void UxXrtGaItem::SetBackground (const char * val)
        { DDSetProp(XmNbackground, ((XtArgVal)(val)));}

inline char *  UxXrtGaItem::GetXrtGaDebug (void) const
        { return (char * ) DDGetProp(XmNxrtGaDebug);}
inline void UxXrtGaItem::SetXrtGaDebug (const char * val)
        { DDSetProp(XmNxrtGaDebug, ((XtArgVal)(val)));}

inline char *  UxXrtGaItem::GetXrtGaImage (void) const
        { return (char * ) DDGetProp(XmNxrtGaImage);}
inline void UxXrtGaItem::SetXrtGaImage (const char * val)
        { DDSetProp(XmNxrtGaImage, ((XtArgVal)(val)));}

inline char *  UxXrtGaItem::GetXrtGaIsShowing (void) const
        { return (char * ) DDGetProp(XmNxrtGaIsShowing);}
inline void UxXrtGaItem::SetXrtGaIsShowing (const char * val)
        { DDSetProp(XmNxrtGaIsShowing, ((XtArgVal)(val)));}

inline double UxXrtGaItem::GetXrtGaLabelExtent (void) const
	{ return RT_GA_GET_DOUBLE(XmNxrtGaLabelExtent);}
inline void UxXrtGaItem::SetXrtGaLabelExtent (double val)
	{ RT_GA_PUT_DOUBLE(XmNxrtGaLabelExtent,val);}

inline double UxXrtGaItem::GetXrtGaValue (void) const
	{ return RT_GA_GET_DOUBLE(XmNxrtGaValue);}
inline void UxXrtGaItem::SetXrtGaValue (double val)
	{ RT_GA_PUT_DOUBLE(XmNxrtGaValue,val);}


#undef RT_GA_GET_DOUBLE
#undef RT_GA_PUT_DOUBLE

#if defined(__alpha) && defined(__cplusplus)
#pragma message restore
#endif /* __alpha */

#endif /* DESIGN_TIME */
#endif /* __cplusplus */
