/* ALL RIGHTS RESERVED
 *
 * This file is provided for demonstration and educational uses only.
 * Permission to use, copy, modify and distribute this file for
 * any purpose and without fee is hereby granted, provided that the
 * above copyright notice and this permission notice appear in all
 * copies, and that the name of KL Group not be used in advertising
 * or publicity pertaining to this material without the specific,
 * prior written permission of an authorized representative of
 * KL Group.
 *
 * KL GROUP MAKES NO REPRESENTATIONS AND EXTENDS NO WARRANTIES, EX-
 * PRESS OR IMPLIED, WITH RESPECT TO THE SOFTWARE, INCLUDING, BUT
 * NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND
 * FITNESS FOR ANY PARTICULAR PURPOSE, AND THE WARRANTY AGAINST IN-
 * FRINGEMENT OF PATENTS OR OTHER INTELLECTUAL PROPERTY RIGHTS.  THE
 * SOFTWARE IS PROVIDED "AS IS", AND IN NO EVENT SHALL KL GROUP OR
 * ANY OF ITS AFFILIATES BE LIABLE FOR ANY DAMAGES, INCLUDING ANY
 * LOST PROFITS OR OTHER INCIDENTAL OR CONSEQUENTIAL DAMAGES
 * RELATING TO THE USE OF THIS SOFTWARE.
 *
 *
 * XRT/gauge widget UIM/X integration file
 *
 * $AstecID$
 *
 *  SCCSID -- @(#)UxXrtGaLEDIcon.hxx	1.2    99/12/17 KL Group Inc.
 */

#if defined(__cplusplus) && !defined(XT_CODE) && !defined(NO_UXBINDINGS)  && !defined(UIMX2_9)

class UxXrtGaLEDIcon : public UxPrimitive
{
    public:

	// Constructors
	UXINLINE UxXrtGaLEDIcon(void);
	UXINLINE UxXrtGaLEDIcon(const char*, swidget);

	// Initialisation
	UXINLINE swidget CreateSwidget(const char*, swidget);

	// Resource accessor functions

	UXINLINE char * GetXrtGaBorder () const;
	UXINLINE void SetXrtGaBorder (const char *);

	UXINLINE char * GetXrtGaDebug () const;
	UXINLINE void SetXrtGaDebug (const char *);

	UXINLINE int GetXrtGaDecayRate () const;
	UXINLINE void SetXrtGaDecayRate (int);

	UXINLINE char * GetXrtGaDisplayMode () const;
	UXINLINE void SetXrtGaDisplayMode (const char *);

	UXINLINE char * GetXrtGaDirection () const;
	UXINLINE void SetXrtGaDirection (const char *);

	UXINLINE char * GetXrtGaDoubleBuffer () const;
	UXINLINE void SetXrtGaDoubleBuffer (const char *);

	UXINLINE int GetXrtGaIconHeight () const;
	UXINLINE void SetXrtGaIconHeight (int);

	UXINLINE char * GetXrtGaIconList () const;
	UXINLINE void SetXrtGaIconList (const char *);

	UXINLINE int GetXrtGaIconSpacing () const;
	UXINLINE void SetXrtGaIconSpacing (int);

	UXINLINE int GetXrtGaIconWidth () const;
	UXINLINE void SetXrtGaIconWidth (int);

	UXINLINE char * GetXrtGaImage () const;
	UXINLINE void SetXrtGaImage (const char *);

	UXINLINE char * GetXrtGaImageLayout () const;
	UXINLINE void SetXrtGaImageLayout (const char *);

	UXINLINE char * GetXrtGaInteractionType () const;
	UXINLINE void SetXrtGaInteractionType (const char *);

	UXINLINE int GetXrtGaLEDStartValue () const;
	UXINLINE void SetXrtGaLEDStartValue (int);

	UXINLINE int GetXrtGaLEDValue () const;
	UXINLINE void SetXrtGaLEDValue (int);

	UXINLINE char * GetXrtGaMaxIcon () const;
	UXINLINE void SetXrtGaMaxIcon (const char *);

	UXINLINE char * GetXrtGaOrientation () const;
	UXINLINE void SetXrtGaOrientation (const char *);

	UXINLINE char * GetXrtGaRepaint () const;
	UXINLINE void SetXrtGaRepaint (const char *);

	UXINLINE char * GetXrtGaSizingPolicy () const;
	UXINLINE void SetXrtGaSizingPolicy (const char *);

	UXINLINE int GetXrtGaSpacingHorizontal () const;
	UXINLINE void SetXrtGaSpacingHorizontal (int);

	UXINLINE int GetXrtGaSpacingVertical () const;
	UXINLINE void SetXrtGaSpacingVertical (int);

	UXINLINE int GetXrtGaXOrigin () const;
	UXINLINE void SetXrtGaXOrigin (int);

	UXINLINE int GetXrtGaYOrigin () const;
	UXINLINE void SetXrtGaYOrigin (int);


};

#ifdef DESIGN_TIME

#define XrtGaLEDIcon_prpty_name(x)	XrtGaLEDIcon_res_table[x].prpty, XrtGaLEDIcon_res_table[x].name

extern Class_t UxC_XrtGaLEDIcon;

#else /* (not DESIGN_TIME) */

#if defined(__alpha) && defined(__cplusplus)
#pragma message save
#pragma message disable narrowptr
#endif /* __alpha */

// Constructors
inline UxXrtGaLEDIcon::UxXrtGaLEDIcon(void){}
inline UxXrtGaLEDIcon::UxXrtGaLEDIcon(const char* name, swidget uXParent)
{
	CreateSwidget(name,uXParent);
}

// Initialisation
inline swidget
UxXrtGaLEDIcon::CreateSwidget (const char* name, swidget parent)
{
	if (UxThis == NULL)
		UxThis = UxCreateSwidget( (char *) name,
					  xmXrtGaLEDIconWidgetClass, parent);
	return UxThis;
}

inline char *  UxXrtGaLEDIcon::GetXrtGaBorder (void) const
        { return (char * ) DDGetProp(XmNxrtGaBorder);}
inline void UxXrtGaLEDIcon::SetXrtGaBorder (const char * val)
        { DDSetProp(XmNxrtGaBorder, ((XtArgVal)(val)));}

inline char *  UxXrtGaLEDIcon::GetXrtGaDebug (void) const
        { return (char * ) DDGetProp(XmNxrtGaDebug);}
inline void UxXrtGaLEDIcon::SetXrtGaDebug (const char * val)
        { DDSetProp(XmNxrtGaDebug, ((XtArgVal)(val)));}

inline int UxXrtGaLEDIcon::GetXrtGaDecayRate (void) const
	{ return (int)IntGetProp(XmNxrtGaDecayRate);}
inline void UxXrtGaLEDIcon::SetXrtGaDecayRate (int val)
	{ SetProp(XmNxrtGaDecayRate, ((XtArgVal)(val)));}

inline char *  UxXrtGaLEDIcon::GetXrtGaDisplayMode (void) const
        { return (char * ) DDGetProp(XmNxrtGaDisplayMode);}
inline void UxXrtGaLEDIcon::SetXrtGaDisplayMode (const char * val)
        { DDSetProp(XmNxrtGaDisplayMode, ((XtArgVal)(val)));}

inline char *  UxXrtGaLEDIcon::GetXrtGaDirection (void) const
        { return (char * ) DDGetProp(XmNxrtGaDirection);}
inline void UxXrtGaLEDIcon::SetXrtGaDirection (const char * val)
        { DDSetProp(XmNxrtGaDirection, ((XtArgVal)(val)));}

inline char *  UxXrtGaLEDIcon::GetXrtGaDoubleBuffer (void) const
        { return (char * ) DDGetProp(XmNxrtGaDoubleBuffer);}
inline void UxXrtGaLEDIcon::SetXrtGaDoubleBuffer (const char * val)
        { DDSetProp(XmNxrtGaDoubleBuffer, ((XtArgVal)(val)));}

inline int UxXrtGaLEDIcon::GetXrtGaIconHeight (void) const
	{ return (int)IntGetProp(XmNxrtGaIconHeight);}
inline void UxXrtGaLEDIcon::SetXrtGaIconHeight (int val)
	{ SetProp(XmNxrtGaIconHeight, ((XtArgVal)(val)));}

inline char *  UxXrtGaLEDIcon::GetXrtGaIconList (void) const
        { return (char * ) DDGetProp(XmNxrtGaIconList);}
inline void UxXrtGaLEDIcon::SetXrtGaIconList (const char * val)
        { DDSetProp(XmNxrtGaIconList, ((XtArgVal)(val)));}

inline int UxXrtGaLEDIcon::GetXrtGaIconSpacing (void) const
	{ return (int)IntGetProp(XmNxrtGaIconSpacing);}
inline void UxXrtGaLEDIcon::SetXrtGaIconSpacing (int val)
	{ SetProp(XmNxrtGaIconSpacing, ((XtArgVal)(val)));}

inline int UxXrtGaLEDIcon::GetXrtGaIconWidth (void) const
	{ return (int)IntGetProp(XmNxrtGaIconWidth);}
inline void UxXrtGaLEDIcon::SetXrtGaIconWidth (int val)
	{ SetProp(XmNxrtGaIconWidth, ((XtArgVal)(val)));}

inline char *  UxXrtGaLEDIcon::GetXrtGaImage (void) const
        { return (char * ) DDGetProp(XmNxrtGaImage);}
inline void UxXrtGaLEDIcon::SetXrtGaImage (const char * val)
        { DDSetProp(XmNxrtGaImage, ((XtArgVal)(val)));}

inline char *  UxXrtGaLEDIcon::GetXrtGaImageLayout (void) const
        { return (char * ) DDGetProp(XmNxrtGaImageLayout);}
inline void UxXrtGaLEDIcon::SetXrtGaImageLayout (const char * val)
        { DDSetProp(XmNxrtGaImageLayout, ((XtArgVal)(val)));}

inline char *  UxXrtGaLEDIcon::GetXrtGaInteractionType (void) const
        { return (char * ) DDGetProp(XmNxrtGaInteractionType);}
inline void UxXrtGaLEDIcon::SetXrtGaInteractionType (const char * val)
        { DDSetProp(XmNxrtGaInteractionType, ((XtArgVal)(val)));}

inline int UxXrtGaLEDIcon::GetXrtGaLEDStartValue (void) const
	{ return (int)IntGetProp(XmNxrtGaLEDStartValue);}
inline void UxXrtGaLEDIcon::SetXrtGaLEDStartValue (int val)
	{ SetProp(XmNxrtGaLEDStartValue, ((XtArgVal)(val)));}

inline int UxXrtGaLEDIcon::GetXrtGaLEDValue (void) const
	{ return (int)IntGetProp(XmNxrtGaLEDValue);}
inline void UxXrtGaLEDIcon::SetXrtGaLEDValue (int val)
	{ SetProp(XmNxrtGaLEDValue, ((XtArgVal)(val)));}

inline char *  UxXrtGaLEDIcon::GetXrtGaMaxIcon (void) const
        { return (char * ) DDGetProp(XmNxrtGaMaxIcon);}
inline void UxXrtGaLEDIcon::SetXrtGaMaxIcon (const char * val)
        { DDSetProp(XmNxrtGaMaxIcon, ((XtArgVal)(val)));}

inline char *  UxXrtGaLEDIcon::GetXrtGaOrientation (void) const
        { return (char * ) DDGetProp(XmNxrtGaOrientation);}
inline void UxXrtGaLEDIcon::SetXrtGaOrientation (const char * val)
        { DDSetProp(XmNxrtGaOrientation, ((XtArgVal)(val)));}

inline char *  UxXrtGaLEDIcon::GetXrtGaRepaint (void) const
        { return (char * ) DDGetProp(XmNxrtGaRepaint);}
inline void UxXrtGaLEDIcon::SetXrtGaRepaint (const char * val)
        { DDSetProp(XmNxrtGaRepaint, ((XtArgVal)(val)));}

inline char *  UxXrtGaLEDIcon::GetXrtGaSizingPolicy (void) const
        { return (char * ) DDGetProp(XmNxrtGaSizingPolicy);}
inline void UxXrtGaLEDIcon::SetXrtGaSizingPolicy (const char * val)
        { DDSetProp(XmNxrtGaSizingPolicy, ((XtArgVal)(val)));}

inline int UxXrtGaLEDIcon::GetXrtGaSpacingHorizontal (void) const
	{ return (int)IntGetProp(XmNxrtGaSpacingHorizontal);}
inline void UxXrtGaLEDIcon::SetXrtGaSpacingHorizontal (int val)
	{ SetProp(XmNxrtGaSpacingHorizontal, ((XtArgVal)(val)));}

inline int UxXrtGaLEDIcon::GetXrtGaSpacingVertical (void) const
	{ return (int)IntGetProp(XmNxrtGaSpacingVertical);}
inline void UxXrtGaLEDIcon::SetXrtGaSpacingVertical (int val)
	{ SetProp(XmNxrtGaSpacingVertical, ((XtArgVal)(val)));}

inline int UxXrtGaLEDIcon::GetXrtGaXOrigin (void) const
	{ return (int)IntGetProp(XmNxrtGaXOrigin);}
inline void UxXrtGaLEDIcon::SetXrtGaXOrigin (int val)
	{ SetProp(XmNxrtGaXOrigin, ((XtArgVal)(val)));}

inline int UxXrtGaLEDIcon::GetXrtGaYOrigin (void) const
	{ return (int)IntGetProp(XmNxrtGaYOrigin);}
inline void UxXrtGaLEDIcon::SetXrtGaYOrigin (int val)
	{ SetProp(XmNxrtGaYOrigin, ((XtArgVal)(val)));}


#undef RT_GA_GET_DOUBLE
#undef RT_GA_PUT_DOUBLE

#if defined(__alpha) && defined(__cplusplus)
#pragma message restore
#endif /* __alpha */

#endif /* DESIGN_TIME */
#endif /* __cplusplus */
