/* ALL RIGHTS RESERVED
 *
 * This file is provided for demonstration and educational uses only.
 * Permission to use, copy, modify and distribute this file for
 * any purpose and without fee is hereby granted, provided that the
 * above copyright notice and this permission notice appear in all
 * copies, and that the name of KL Group not be used in advertising
 * or publicity pertaining to this material without the specific,
 * prior written permission of an authorized representative of
 * KL Group.
 *
 * KL GROUP MAKES NO REPRESENTATIONS AND EXTENDS NO WARRANTIES, EX-
 * PRESS OR IMPLIED, WITH RESPECT TO THE SOFTWARE, INCLUDING, BUT
 * NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND
 * FITNESS FOR ANY PARTICULAR PURPOSE, AND THE WARRANTY AGAINST IN-
 * FRINGEMENT OF PATENTS OR OTHER INTELLECTUAL PROPERTY RIGHTS.  THE
 * SOFTWARE IS PROVIDED "AS IS", AND IN NO EVENT SHALL KL GROUP OR
 * ANY OF ITS AFFILIATES BE LIABLE FOR ANY DAMAGES, INCLUDING ANY
 * LOST PROFITS OR OTHER INCIDENTAL OR CONSEQUENTIAL DAMAGES
 * RELATING TO THE USE OF THIS SOFTWARE.
 *
 *
 * XRT/gear widget UIM/X integration file
 *
 *  SCCSID -- @(#)UxXrtGaLinearDial.h	1.3    99/12/13 KL Group Inc.
 */

/******************************************************************************
				UxXrtGaLinearDial.h
******************************************************************************/

#ifndef UxXrtGaLinearDial_h
#define UxXrtGaLinearDial_h

#include <Xm/XrtGaLinearDial.h>	/* Widget class public header file */
#include "Xrt_restable.h"
#include "UxPrim.h"
#include "UxXrtGaLinearDial.hxx"  /* Include C++ header file (New in UIM/X 3.0)*/

#ifdef DESIGN_TIME
#ifndef NO_UX_MACROS

#define XrtGaLDial_prpty_name(x)	XrtGaLinearDial_res_table[x].prpty, XrtGaLinearDial_res_table[x].name

#ifndef UxGetXrtGaBorder
#define UxGetXrtGaBorder(sw) \
	UxGET_string(sw, XrtGaLDial_prpty_name(XrtGaLDial_Border))
#endif
#ifndef UxPutXrtGaBorder
#define UxPutXrtGaBorder(sw, val) \
	UxPUT_string(sw, XrtGaLDial_prpty_name(XrtGaLDial_Border), val)
#endif

#ifndef UxGetXrtGaDebug
#define UxGetXrtGaDebug(sw) \
	UxGET_string(sw, XrtGaLDial_prpty_name(XrtGaLDial_Debug))
#endif
#ifndef UxPutXrtGaDebug
#define UxPutXrtGaDebug(sw, val) \
	UxPUT_string(sw, XrtGaLDial_prpty_name(XrtGaLDial_Debug), val)
#endif

#ifndef UxGetXrtGaDoubleBuffer
#define UxGetXrtGaDoubleBuffer(sw) \
	UxGET_string(sw, XrtGaLDial_prpty_name(XrtGaLDial_DoubleBuffer))
#endif
#ifndef UxPutXrtGaDoubleBuffer
#define UxPutXrtGaDoubleBuffer(sw, val) \
	UxPUT_string(sw, XrtGaLDial_prpty_name(XrtGaLDial_DoubleBuffer),val)
#endif

#ifndef UxGetXrtGaDrawFunc
#define UxGetXrtGaDrawFunc(sw) \
	UxGET_voidFunction(sw, XrtGaLDial_prpty_name(XrtGaLDial_DrawFunc))
#endif
#ifndef UxPutXrtGaDrawFunc
#define UxPutXrtGaDrawFunc(sw, val) \
	UxPUT_voidFunction(sw, XrtGaLDial_prpty_name(XrtGaLDial_DrawFunc),val)
#endif

#ifndef UxGetXrtGaFrame
#define UxGetXrtGaFrame(sw) \
	UxGET_string(sw, XrtGaLDial_prpty_name(XrtGaLDial_Frame))
#endif
#ifndef UxPutXrtGaFrame
#define UxPutXrtGaFrame(sw, val) \
	UxPUT_string(sw, XrtGaLDial_prpty_name(XrtGaLDial_Frame), val)
#endif

#ifndef UxGetXrtGaImage
#define UxGetXrtGaImage(sw) \
	UxGET_string(sw, XrtGaLDial_prpty_name(XrtGaLDial_Image))
#endif
#ifndef UxPutXrtGaImage
#define UxPutXrtGaImage(sw, val) \
	UxPUT_string(sw, XrtGaLDial_prpty_name(XrtGaLDial_Image), val)
#endif

#ifndef UxGetXrtGaImageLayout
#define UxGetXrtGaImageLayout(sw) \
	UxGET_string(sw, XrtGaLDial_prpty_name(XrtGaLDial_ImageLayout))
#endif
#ifndef UxPutXrtGaImageLayout
#define UxPutXrtGaImageLayout(sw, val) \
	UxPUT_string(sw, XrtGaLDial_prpty_name(XrtGaLDial_ImageLayout),val)
#endif

#ifndef UxGetXrtGaIndicator
#define UxGetXrtGaIndicator(sw) \
	UxGET_string(sw, XrtGaLDial_prpty_name(XrtGaLDial_Indicator))
#endif
#ifndef UxPutXrtGaIndicator
#define UxPutXrtGaIndicator(sw, val) \
	UxPUT_string(sw, XrtGaLDial_prpty_name(XrtGaLDial_Indicator), val)
#endif

#ifndef UxGetXrtGaLinearScale
#define UxGetXrtGaLinearScale(sw) \
	UxGET_string(sw, XrtGaLDial_prpty_name(XrtGaLDial_LinearScale))
#endif
#ifndef UxPutXrtGaLinearScale
#define UxPutXrtGaLinearScale(sw, val) \
	UxPUT_string(sw, XrtGaLDial_prpty_name(XrtGaLDial_LinearScale),val)
#endif

#ifndef UxGetXrtGaOnColor
#define UxGetXrtGaOnColor(sw) \
	UxGET_string(sw, XrtGaLDial_prpty_name(XrtGaLDial_OnColor))
#endif
#ifndef UxPutXrtGaOnColor
#define UxPutXrtGaOnColor(sw, val) \
	UxPUT_string(sw, XrtGaLDial_prpty_name(XrtGaLDial_OnColor), val)
#endif

#ifndef UxGetOnXrtGaImage
#define UxGetOnXrtGaImage(sw) \
	UxGET_string(sw, XrtGaLDial_prpty_name(XrtGaLDial_OnImage))
#endif
#ifndef UxPutOnXrtGaImage
#define UxPutOnXrtGaImage(sw, val) \
	UxPUT_string(sw, XrtGaLDial_prpty_name(XrtGaLDial_OnImage), val)
#endif

#ifndef UxGetXrtGaOffColor
#define UxGetXrtGaOffColor(sw) \
	UxGET_string(sw, XrtGaLDial_prpty_name(XrtGaLDial_OffColor))
#endif
#ifndef UxPutXrtGaOffColor
#define UxPutXrtGaOffColor(sw, val) \
	UxPUT_string(sw, XrtGaLDial_prpty_name(XrtGaLDial_OffColor), val)
#endif

#ifndef UxGetOffXrtGaImage
#define UxGetOffXrtGaImage(sw) \
	UxGET_string(sw, XrtGaLDial_prpty_name(XrtGaLDial_OffImage))
#endif
#ifndef UxPutOffXrtGaImage
#define UxPutOffXrtGaImage(sw, val) \
	UxPUT_string(sw, XrtGaLDial_prpty_name(XrtGaLDial_OffImage), val)
#endif

#ifndef UxGetXrtGaShape
#define UxGetXrtGaShape(sw) \
	UxGET_string(sw, XrtGaLDial_prpty_name(XrtGaLDial_Shape))
#endif
#ifndef UxPutXrtGaShape
#define UxPutXrtGaShape(sw, val) \
	UxPUT_string(sw, XrtGaLDial_prpty_name(XrtGaLDial_Shape), val)
#endif

#ifndef UxGetXrtGaRenderList
#define UxGetXrtGaRenderList(sw) \
	UxGET_string(sw, XrtGaLDial_prpty_name(XrtGaLDial_RenderList))
#endif
#ifndef UxPutXrtGaRenderList
#define UxPutXrtGaRenderList(sw, val) \
	UxPUT_string(sw, XrtGaLDial_prpty_name(XrtGaLDial_RenderList),val)
#endif

#ifndef UxGetXrtGaRepaint
#define UxGetXrtGaRepaint(sw) \
	UxGET_string(sw, XrtGaLDial_prpty_name(XrtGaLDial_Repaint))
#endif
#ifndef UxPutXrtGaRepaint
#define UxPutXrtGaRepaint(sw, val) \
	UxPUT_string(sw, XrtGaLDial_prpty_name(XrtGaLDial_Repaint), val)
#endif

#ifndef UxGetXrtGaTextList
#define UxGetXrtGaTextList(sw) \
	UxGET_string(sw, XrtGaLDial_prpty_name(XrtGaLDial_TextList))
#endif
#ifndef UxPutXrtGaTextList
#define UxPutXrtGaTextList(sw, val) \
	UxPUT_string(sw, XrtGaLDial_prpty_name(XrtGaLDial_TextList), val)
#endif

#ifndef UxGetXrtGaTickList
#define UxGetXrtGaTickList(sw) \
	UxGET_string(sw, XrtGaLDial_prpty_name(XrtGaLDial_TickList))
#endif
#ifndef UxPutXrtGaTickList
#define UxPutXrtGaTickList(sw, val) \
	UxPUT_string(sw, XrtGaLDial_prpty_name(XrtGaLDial_TickList), val)
#endif

#ifndef UxGetXrtGaUseRenderList
#define UxGetXrtGaUseRenderList(sw) \
	UxGET_string(sw, XrtGaLDial_prpty_name(XrtGaLDial_UseRenderList))
#endif
#ifndef UxPutXrtGaUseRenderList
#define UxPutXrtGaUseRenderList(sw, val) \
	UxPUT_string(sw, XrtGaLDial_prpty_name(XrtGaLDial_UseRenderList),val)
#endif


#endif /* NO_UX_MACROS */

extern Class_t	UxC_XrtGaLinearDial;

/* Design-time create macro */
#ifndef UxCreateXrtGaLinearDial
#define UxCreateXrtGaLinearDial(name, parent) \
	UxCreateSwidget(UxC_XrtGaLinearDial, name, parent)
#endif

#else /* RUN-TIME */

#ifndef UxGetXrtGaBorder
#define UxGetXrtGaBorder(sw) \
	(char *) UxDDGetProp(sw, XmNxrtGaBorder)
#endif
#ifndef UxPutXrtGaBorder
#define UxPutXrtGaBorder(sw, val) \
	UxDDPutProp(sw, XmNxrtGaBorder, ((XtArgVal)(val)))
#endif

#ifndef UxGetXrtGaDebug
#define UxGetXrtGaDebug(sw) \
	(char *) UxDDGetProp(sw, XmNxrtGaDebug)
#endif
#ifndef UxPutXrtGaDebug
#define UxPutXrtGaDebug(sw, val) \
	UxDDPutProp(sw, XmNxrtGaDebug, ((XtArgVal)(val)))
#endif

#ifndef UxGetXrtGaDoubleBuffer
#define UxGetXrtGaDoubleBuffer(sw) \
	(char *) UxDDGetProp(sw, XmNxrtGaDoubleBuffer)
#endif
#ifndef UxPutXrtGaDoubleBuffer
#define UxPutXrtGaDoubleBuffer(sw, val) \
	UxDDPutProp(sw, XmNxrtGaDoubleBuffer, ((XtArgVal)(val)))
#endif

#ifndef UxGetXrtGaDrawFunc
#define UxGetXrtGaDrawFunc(sw) \
	(voidFunction) UxGetProp(sw, XmNxrtGaDrawFunc)
#endif
#ifndef UxPutXrtGaDrawFunc
#define UxPutXrtGaDrawFunc(sw, val) \
	UxPutProp(sw, XmNxrtGaDrawFunc, ((XtArgVal)(val)))
#endif

#ifndef UxGetXrtGaFrame
#define UxGetXrtGaFrame(sw) \
	(char *) UxDDGetProp(sw, XmNxrtGaFrame)
#endif
#ifndef UxPutXrtGaFrame
#define UxPutXrtGaFrame(sw, val) \
	UxDDPutProp(sw, XmNxrtGaFrame, ((XtArgVal)(val)))
#endif

#ifndef UxGetXrtGaImage
#define UxGetXrtGaImage(sw) \
	(char *) UxDDGetProp(sw, XmNxrtGaImage)
#endif
#ifndef UxPutXrtGaImage
#define UxPutXrtGaImage(sw, val) \
	UxDDPutProp(sw, XmNxrtGaImage, ((XtArgVal)(val)))
#endif

#ifndef UxGetXrtGaImageLayout
#define UxGetXrtGaImageLayout(sw) \
	(char *) UxDDGetProp(sw, XmNxrtGaImageLayout)
#endif
#ifndef UxPutXrtGaImageLayout
#define UxPutXrtGaImageLayout(sw, val) \
	UxDDPutProp(sw, XmNxrtGaImageLayout, ((XtArgVal)(val)))
#endif

#ifndef UxGetXrtGaIndicator
#define UxGetXrtGaIndicator(sw) \
	(char *) UxDDGetProp(sw, XmNxrtGaIndicator)
#endif
#ifndef UxPutXrtGaIndicator
#define UxPutXrtGaIndicator(sw, val) \
	UxDDPutProp(sw, XmNxrtGaIndicator, ((XtArgVal)(val)))
#endif

#ifndef UxGetXrtGaLinearScale
#define UxGetXrtGaLinearScale(sw) \
	(char *) UxDDGetProp(sw, XmNxrtGaLinearScale)
#endif
#ifndef UxPutXrtGaLinearScale
#define UxPutXrtGaLinearScale(sw, val) \
	UxDDPutProp(sw, XmNxrtGaLinearScale, ((XtArgVal)(val)))
#endif

#ifndef UxGetXrtGaOnColor
#define UxGetXrtGaOnColor(sw) \
	(char *) UxDDGetProp(sw, XmNxrtGaOnColor)
#endif
#ifndef UxPutXrtGaOnColor
#define UxPutXrtGaOnColor(sw, val) \
	UxDDPutProp(sw, XmNxrtGaOnColor, ((XtArgVal)(val)))
#endif

#ifndef UxGetOnXrtGaImage
#define UxGetOnXrtGaImage(sw) \
	(char *) UxDDGetProp(sw, XmNxrtGaOnImage)
#endif
#ifndef UxPutOnXrtGaImage
#define UxPutOnXrtGaImage(sw, val) \
	UxDDPutProp(sw, XmNxrtGaOnImage, ((XtArgVal)(val)))
#endif

#ifndef UxGetXrtGaOffColor
#define UxGetXrtGaOffColor(sw) \
	(char *) UxDDGetProp(sw, XmNxrtGaOffColor)
#endif
#ifndef UxPutXrtGaOffColor
#define UxPutXrtGaOffColor(sw, val) \
	UxDDPutProp(sw, XmNxrtGaOffColor, ((XtArgVal)(val)))
#endif

#ifndef UxGetOffXrtGaImage
#define UxGetOffXrtGaImage(sw) \
	(char *) UxDDGetProp(sw, XmNxrtGaOffImage)
#endif
#ifndef UxPutOffXrtGaImage
#define UxPutOffXrtGaImage(sw, val) \
	UxDDPutProp(sw, XmNxrtGaOffImage, ((XtArgVal)(val)))
#endif

#ifndef UxGetXrtGaShape
#define UxGetXrtGaShape(sw) \
	(char *) UxDDGetProp(sw, XmNxrtGaShape)
#endif
#ifndef UxPutXrtGaShape
#define UxPutXrtGaShape(sw, val) \
	UxDDPutProp(sw, XmNxrtGaShape, ((XtArgVal)(val)))
#endif

#ifndef UxGetXrtGaRenderList
#define UxGetXrtGaRenderList(sw) \
	(char *) UxDDGetProp(sw, XmNxrtGaRenderList)
#endif
#ifndef UxPutXrtGaRenderList
#define UxPutXrtGaRenderList(sw, val) \
	UxDDPutProp(sw, XmNxrtGaRenderList, ((XtArgVal)(val)))
#endif

#ifndef UxGetXrtGaRepaint
#define UxGetXrtGaRepaint(sw) \
	(char *) UxDDGetProp(sw, XmNxrtGaRepaint)
#endif
#ifndef UxPutXrtGaRepaint
#define UxPutXrtGaRepaint(sw, val) \
	UxDDPutProp(sw, XmNxrtGaRepaint, ((XtArgVal)(val)))
#endif

#ifndef UxGetXrtGaTextList
#define UxGetXrtGaTextList(sw) \
	(char *) UxDDGetProp(sw, XmNxrtGaTextList)
#endif
#ifndef UxPutXrtGaTextList
#define UxPutXrtGaTextList(sw, val) \
	UxDDPutProp(sw, XmNxrtGaTextList, ((XtArgVal)(val)))
#endif

#ifndef UxGetXrtGaTickList
#define UxGetXrtGaTickList(sw) \
	(char *) UxDDGetProp(sw, XmNxrtGaTickList)
#endif
#ifndef UxPutXrtGaTickList
#define UxPutXrtGaTickList(sw, val) \
	UxDDPutProp(sw, XmNxrtGaTickList, ((XtArgVal)(val)))
#endif

#ifndef UxGetXrtGaUseRenderList
#define UxGetXrtGaUseRenderList(sw) \
	(char *) UxDDGetProp(sw, XmNxrtGaUseRenderList)
#endif
#ifndef UxPutXrtGaUseRenderList
#define UxPutXrtGaUseRenderList(sw, val) \
	UxDDPutProp(sw, XmNxrtGaUseRenderList, ((XtArgVal)(val)))
#endif


/* Runtime create macro */
#ifndef UxCreateXrtGaLinearDial
#define UxCreateXrtGaLinearDial(name, parent) \
	UxCreateSwidget(name, xmXrtGaLinearDialWidgetClass, parent)
#endif

#endif /* DESIGN_TIME */

#endif

