/* ALL RIGHTS RESERVED
 *
 * This file is provided for demonstration and educational uses only.
 * Permission to use, copy, modify and distribute this file for
 * any purpose and without fee is hereby granted, provided that the
 * above copyright notice and this permission notice appear in all
 * copies, and that the name of KL Group not be used in advertising
 * or publicity pertaining to this material without the specific,
 * prior written permission of an authorized representative of
 * KL Group.
 *
 * KL GROUP MAKES NO REPRESENTATIONS AND EXTENDS NO WARRANTIES, EX-
 * PRESS OR IMPLIED, WITH RESPECT TO THE SOFTWARE, INCLUDING, BUT
 * NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND
 * FITNESS FOR ANY PARTICULAR PURPOSE, AND THE WARRANTY AGAINST IN-
 * FRINGEMENT OF PATENTS OR OTHER INTELLECTUAL PROPERTY RIGHTS.  THE
 * SOFTWARE IS PROVIDED "AS IS", AND IN NO EVENT SHALL KL GROUP OR
 * ANY OF ITS AFFILIATES BE LIABLE FOR ANY DAMAGES, INCLUDING ANY
 * LOST PROFITS OR OTHER INCIDENTAL OR CONSEQUENTIAL DAMAGES
 * RELATING TO THE USE OF THIS SOFTWARE.
 *
 *
 * XRT/gauge widget UIM/X integration file
 *
 * $AstecID$
 *
 *  SCCSID -- @(#)UxXrtGaMarker.hxx	1.3    00/01/05 KL Group Inc.
 */

#if defined(__cplusplus) && !defined(XT_CODE) && !defined(NO_UXBINDINGS)  && !defined(UIMX2_9)

class UxXrtGaMarker : public UxGadget
{
    public:

	// Constructors
	UXINLINE UxXrtGaMarker(void);
	UXINLINE UxXrtGaMarker(const char*, swidget);

	// Initialisation
	UXINLINE swidget CreateSwidget(const char*, swidget);

	// Resource accessor functions

	UXINLINE char * GetBackground () const;
	UXINLINE void SetBackground (const char *);

	UXINLINE int GetWidth () const;
	UXINLINE void SetWidth (int);

	UXINLINE char * GetXrtGaCircularScale () const;
	UXINLINE void SetXrtGaCircularScale (const char *);

	UXINLINE char * GetXrtGaDebug () const;
	UXINLINE void SetXrtGaDebug (const char *);

//	UXINLINE voidFunction GetXrtGaDrawFunc () const;
//	UXINLINE void SetXrtGaDrawFunc (voidFunction);

	UXINLINE char * GetXrtGaImage () const;
	UXINLINE void SetXrtGaImage (const char *);

	UXINLINE char * GetXrtGaImageRotate () const;
	UXINLINE void SetXrtGaImageRotate (const char *);

	UXINLINE char * GetXrtGaIsShowing () const;
	UXINLINE void SetXrtGaIsShowing (const char *);

	UXINLINE char * GetXrtGaMarkerType () const;
	UXINLINE void SetXrtGaMarkerType (const char *);

	UXINLINE double GetXrtGaInnerRadius () const;
	UXINLINE void SetXrtGaInnerRadius (double);

	UXINLINE double GetXrtGaOuterRadius () const;
	UXINLINE void SetXrtGaOuterRadius (double);


};

#ifdef DESIGN_TIME

#define XrtGaMarker_prpty_name(x)	XrtGaMarker_res_table[x].prpty, XrtGaMarker_res_table[x].name

extern Class_t UxC_XrtGaMarker;

#else /* (not DESIGN_TIME) */

#if defined(__alpha) && defined(__cplusplus)
#pragma message save
#pragma message disable narrowptr
#endif /* __alpha */

// define macro to access properties of type double

extern "C" {
	XtArgVal UxGetXrtGaDoubleProp(swidget sw, char *res);
	double   XrtGaArgValToDouble(XtArgVal val);
	XtArgVal XrtGaDoubleToArgVal(double val);
}

#define RT_GA_GET_DOUBLE(res) \
	XrtGaArgValToDouble(UxGetXrtGaDoubleProp(UxThis,res))
#define RT_GA_PUT_DOUBLE(res,val) \
	UxPutProp(UxThis,res,(XtArgVal)XrtGaDoubleToArgVal((double)val))

// Constructors
inline UxXrtGaMarker::UxXrtGaMarker(void){}
inline UxXrtGaMarker::UxXrtGaMarker(const char* name, swidget uXParent)
{
	CreateSwidget(name,uXParent);
}

// Initialisation
inline swidget
UxXrtGaMarker::CreateSwidget (const char* name, swidget parent)
{
	if (UxThis == NULL)
		UxThis = UxCreateSwidget( (char *) name,
					  xmXrtGaMarkerWidgetClass, parent);
	return UxThis;
}

inline char *  UxXrtGaMarker::GetBackground (void) const
        { return (char * ) DDGetProp(XmNbackground);}
inline void UxXrtGaMarker::SetBackground (const char * val)
        { DDSetProp(XmNbackground, ((XtArgVal)(val)));}

inline int UxXrtGaMarker::GetWidth (void) const
	{ return (int)IntGetProp(XmNwidth);}
inline void UxXrtGaMarker::SetWidth (int val)
	{ SetProp(XmNwidth, ((XtArgVal)(val)));}

inline char *  UxXrtGaMarker::GetXrtGaCircularScale (void) const
        { return (char * ) DDGetProp(XmNxrtGaCircularScale);}
inline void UxXrtGaMarker::SetXrtGaCircularScale (const char * val)
        { DDSetProp(XmNxrtGaCircularScale, ((XtArgVal)(val)));}

inline char *  UxXrtGaMarker::GetXrtGaDebug (void) const
        { return (char * ) DDGetProp(XmNxrtGaDebug);}
inline void UxXrtGaMarker::SetXrtGaDebug (const char * val)
        { DDSetProp(XmNxrtGaDebug, ((XtArgVal)(val)));}

// inline voidFunction  UxXrtGaMarker::GetXrtGaDrawFunc (void) const
//         { return (voidFunction) DDGetProp(XmNxrtGaDrawFunc);}
// inline void UxXrtGaMarker::SetXrtGaDrawFunc (voidFunction val)
//         { DDSetProp(XmNxrtGaDrawFunc, ((XtArgVal)(val)));}

inline char *  UxXrtGaMarker::GetXrtGaImage (void) const
        { return (char * ) DDGetProp(XmNxrtGaImage);}
inline void UxXrtGaMarker::SetXrtGaImage (const char * val)
        { DDSetProp(XmNxrtGaImage, ((XtArgVal)(val)));}

inline char *  UxXrtGaMarker::GetXrtGaImageRotate (void) const
        { return (char * ) DDGetProp(XmNxrtGaImageRotate);}
inline void UxXrtGaMarker::SetXrtGaImageRotate (const char * val)
        { DDSetProp(XmNxrtGaImageRotate, ((XtArgVal)(val)));}

inline char *  UxXrtGaMarker::GetXrtGaIsShowing (void) const
        { return (char * ) DDGetProp(XmNxrtGaIsShowing);}
inline void UxXrtGaMarker::SetXrtGaIsShowing (const char * val)
        { DDSetProp(XmNxrtGaIsShowing, ((XtArgVal)(val)));}

inline char *  UxXrtGaMarker::GetXrtGaMarkerType (void) const
        { return (char * ) DDGetProp(XmNxrtGaMarkerType);}
inline void UxXrtGaMarker::SetXrtGaMarkerType (const char * val)
        { DDSetProp(XmNxrtGaMarkerType, ((XtArgVal)(val)));}

inline double UxXrtGaMarker::GetXrtGaInnerRadius (void) const
	{ return RT_GA_GET_DOUBLE(XmNxrtGaInnerRadius);}
inline void UxXrtGaMarker::SetXrtGaInnerRadius (double val)
	{ RT_GA_PUT_DOUBLE(XmNxrtGaInnerRadius,val);}

inline double UxXrtGaMarker::GetXrtGaOuterRadius (void) const
	{ return RT_GA_GET_DOUBLE(XmNxrtGaOuterRadius);}
inline void UxXrtGaMarker::SetXrtGaOuterRadius (double val)
	{ RT_GA_PUT_DOUBLE(XmNxrtGaOuterRadius,val);}


#undef RT_GA_GET_DOUBLE
#undef RT_GA_PUT_DOUBLE

#if defined(__alpha) && defined(__cplusplus)
#pragma message restore
#endif /* __alpha */

#endif /* DESIGN_TIME */
#endif /* __cplusplus */
