/* ALL RIGHTS RESERVED
 *
 * This file is provided for demonstration and educational uses only.
 * Permission to use, copy, modify and distribute this file for
 * any purpose and without fee is hereby granted, provided that the
 * above copyright notice and this permission notice appear in all
 * copies, and that the name of KL Group not be used in advertising
 * or publicity pertaining to this material without the specific,
 * prior written permission of an authorized representative of
 * KL Group.
 *
 * KL GROUP MAKES NO REPRESENTATIONS AND EXTENDS NO WARRANTIES, EX-
 * PRESS OR IMPLIED, WITH RESPECT TO THE SOFTWARE, INCLUDING, BUT
 * NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND
 * FITNESS FOR ANY PARTICULAR PURPOSE, AND THE WARRANTY AGAINST IN-
 * FRINGEMENT OF PATENTS OR OTHER INTELLECTUAL PROPERTY RIGHTS.  THE
 * SOFTWARE IS PROVIDED "AS IS", AND IN NO EVENT SHALL KL GROUP OR
 * ANY OF ITS AFFILIATES BE LIABLE FOR ANY DAMAGES, INCLUDING ANY
 * LOST PROFITS OR OTHER INCIDENTAL OR CONSEQUENTIAL DAMAGES
 * RELATING TO THE USE OF THIS SOFTWARE.
 *
 *
 * XRT/gear widget UIM/X integration file
 *
 *  SCCSID -- @(#)UxXrtGaRange.h	1.3    99/12/13 KL Group Inc.
 */

/******************************************************************************
				UxXrtGaRange.h
******************************************************************************/

#ifndef UxXrtGaRange_h
#define UxXrtGaRange_h

#include <Xm/XrtGaRange.h>	/* Widget class public header file */
#include "Xrt_restable.h"
#include "UxGadget.h"
#include "UxXrtGaRange.hxx"  /* Include C++ header file (New in UIM/X 3.0)*/

#ifdef DESIGN_TIME
#ifndef NO_UX_MACROS

#define XrtGaRange_prpty_name(x)	XrtGaRange_res_table[x].prpty, XrtGaRange_res_table[x].name

#ifdef hp700v9
#define XrtGaDoubleToArgVal(d) UxXrtGaDoubleToArgVal(0,d)
#endif /* hp700v9 */

#ifndef UxGetBackground
#define UxGetBackground(sw) \
	UxGET_string(sw, XrtGaRange_prpty_name(XrtGaRange_background))
#endif
#ifndef UxPutBackground
#define UxPutBackground(sw, val) \
	UxPUT_string(sw, XrtGaRange_prpty_name(XrtGaRange_background),val)
#endif

#ifndef UxGetXrtGaDebug
#define UxGetXrtGaDebug(sw) \
	UxGET_string(sw, XrtGaRange_prpty_name(XrtGaRange_Debug))
#endif
#ifndef UxPutXrtGaDebug
#define UxPutXrtGaDebug(sw, val) \
	UxPUT_string(sw, XrtGaRange_prpty_name(XrtGaRange_Debug), val)
#endif

#ifndef UxGetXrtGaImage
#define UxGetXrtGaImage(sw) \
	UxGET_string(sw, XrtGaRange_prpty_name(XrtGaRange_Image))
#endif
#ifndef UxPutXrtGaImage
#define UxPutXrtGaImage(sw, val) \
	UxPUT_string(sw, XrtGaRange_prpty_name(XrtGaRange_Image), val)
#endif

#ifndef UxGetXrtGaImageLayout
#define UxGetXrtGaImageLayout(sw) \
	UxGET_string(sw, XrtGaRange_prpty_name(XrtGaRange_ImageLayout))
#endif
#ifndef UxPutXrtGaImageLayout
#define UxPutXrtGaImageLayout(sw, val) \
	UxPUT_string(sw, XrtGaRange_prpty_name(XrtGaRange_ImageLayout),val)
#endif

#ifndef UxGetXrtGaInnerExtent
#define UxGetXrtGaInnerExtent(sw) \
	UxGET_float(sw, XrtGaRange_prpty_name(XrtGaRange_InnerExtent))
#endif
#ifndef UxPutXrtGaInnerExtent
#define UxPutXrtGaInnerExtent(sw, val) \
	UxPUT_float(sw, XrtGaRange_prpty_name(XrtGaRange_InnerExtent),val)
#endif

#ifndef UxGetXrtGaIsShowing
#define UxGetXrtGaIsShowing(sw) \
	UxGET_string(sw, XrtGaRange_prpty_name(XrtGaRange_IsShowing))
#endif
#ifndef UxPutXrtGaIsShowing
#define UxPutXrtGaIsShowing(sw, val) \
	UxPUT_string(sw, XrtGaRange_prpty_name(XrtGaRange_IsShowing), val)
#endif

#ifndef UxGetXrtGaOffset
#define UxGetXrtGaOffset(sw) \
	UxGET_float(sw, XrtGaRange_prpty_name(XrtGaRange_Offset))
#endif
#ifndef UxPutXrtGaOffset
#define UxPutXrtGaOffset(sw, val) \
	UxPUT_float(sw, XrtGaRange_prpty_name(XrtGaRange_Offset), val)
#endif

#ifndef UxGetXrtGaOuterExtent
#define UxGetXrtGaOuterExtent(sw) \
	UxGET_float(sw, XrtGaRange_prpty_name(XrtGaRange_OuterExtent))
#endif
#ifndef UxPutXrtGaOuterExtent
#define UxPutXrtGaOuterExtent(sw, val) \
	UxPUT_float(sw, XrtGaRange_prpty_name(XrtGaRange_OuterExtent),val)
#endif

#ifndef UxGetXrtGaScale
#define UxGetXrtGaScale(sw) \
	UxGET_string(sw, XrtGaRange_prpty_name(XrtGaRange_Scale))
#endif
#ifndef UxPutXrtGaScale
#define UxPutXrtGaScale(sw, val) \
	UxPUT_string(sw, XrtGaRange_prpty_name(XrtGaRange_Scale), val)
#endif

#ifndef UxGetXrtGaShape
#define UxGetXrtGaShape(sw) \
	UxGET_string(sw, XrtGaRange_prpty_name(XrtGaRange_Shape))
#endif
#ifndef UxPutXrtGaShape
#define UxPutXrtGaShape(sw, val) \
	UxPUT_string(sw, XrtGaRange_prpty_name(XrtGaRange_Shape), val)
#endif

#ifndef UxGetXrtGaStartValue
#define UxGetXrtGaStartValue(sw) \
	UxGET_float(sw, XrtGaRange_prpty_name(XrtGaRange_StartValue))
#endif
#ifndef UxPutXrtGaStartValue
#define UxPutXrtGaStartValue(sw, val) \
	UxPUT_float(sw, XrtGaRange_prpty_name(XrtGaRange_StartValue), val)
#endif

#ifndef UxGetXrtGaStopValue
#define UxGetXrtGaStopValue(sw) \
	UxGET_float(sw, XrtGaRange_prpty_name(XrtGaRange_StopValue))
#endif
#ifndef UxPutXrtGaStopValue
#define UxPutXrtGaStopValue(sw, val) \
	UxPUT_float(sw, XrtGaRange_prpty_name(XrtGaRange_StopValue), val)
#endif


#endif /* NO_UX_MACROS */

extern Class_t	UxC_XrtGaRange;

/* Design-time create macro */
#ifndef UxCreateXrtGaRange
#define UxCreateXrtGaRange(name, parent) \
	UxCreateSwidget(UxC_XrtGaRange, name, parent)
#endif

#else /* RUN-TIME */

extern int	XrtGaGetDoubleProp();
extern double	XrtGaArgValToDouble();

#define RT_GA_GET_DOUBLE(sw,res) \
	XrtGaArgValToDouble(UxGetXrtGaDoubleProp(sw,res))

#define RT_GA_PUT_DOUBLE(sw,res,val) \
	UxPutProp(sw,res,(XtArgVal)XrtGaDoubleToArgVal((double)val))

#ifndef UxGetBackground
#define UxGetBackground(sw) \
	(char *) UxDDGetProp(sw, XmNbackground)
#endif
#ifndef UxPutBackground
#define UxPutBackground(sw, val) \
	UxDDPutProp(sw, XmNbackground, ((XtArgVal)(val)))
#endif

#ifndef UxGetXrtGaDebug
#define UxGetXrtGaDebug(sw) \
	(char *) UxDDGetProp(sw, XmNxrtGaDebug)
#endif
#ifndef UxPutXrtGaDebug
#define UxPutXrtGaDebug(sw, val) \
	UxDDPutProp(sw, XmNxrtGaDebug, ((XtArgVal)(val)))
#endif

#ifndef UxGetXrtGaImage
#define UxGetXrtGaImage(sw) \
	(char *) UxDDGetProp(sw, XmNxrtGaImage)
#endif
#ifndef UxPutXrtGaImage
#define UxPutXrtGaImage(sw, val) \
	UxDDPutProp(sw, XmNxrtGaImage, ((XtArgVal)(val)))
#endif

#ifndef UxGetXrtGaImageLayout
#define UxGetXrtGaImageLayout(sw) \
	(char *) UxDDGetProp(sw, XmNxrtGaImageLayout)
#endif
#ifndef UxPutXrtGaImageLayout
#define UxPutXrtGaImageLayout(sw, val) \
	UxDDPutProp(sw, XmNxrtGaImageLayout, ((XtArgVal)(val)))
#endif

#ifndef UxGetXrtGaInnerExtent
#define UxGetXrtGaInnerExtent(sw) \
	(double) RT_GA_GET_DOUBLE(sw, XmNxrtGaInnerExtent)
#endif
#ifndef UxPutXrtGaInnerExtent
#define UxPutXrtGaInnerExtent(sw, val) \
	RT_GA_PUT_DOUBLE(sw, XmNxrtGaInnerExtent, (val))
#endif

#ifndef UxGetXrtGaIsShowing
#define UxGetXrtGaIsShowing(sw) \
	(char *) UxDDGetProp(sw, XmNxrtGaIsShowing)
#endif
#ifndef UxPutXrtGaIsShowing
#define UxPutXrtGaIsShowing(sw, val) \
	UxDDPutProp(sw, XmNxrtGaIsShowing, ((XtArgVal)(val)))
#endif

#ifndef UxGetXrtGaOffset
#define UxGetXrtGaOffset(sw) \
	(double) RT_GA_GET_DOUBLE(sw, XmNxrtGaOffset)
#endif
#ifndef UxPutXrtGaOffset
#define UxPutXrtGaOffset(sw, val) \
	RT_GA_PUT_DOUBLE(sw, XmNxrtGaOffset, (val))
#endif

#ifndef UxGetXrtGaOuterExtent
#define UxGetXrtGaOuterExtent(sw) \
	(double) RT_GA_GET_DOUBLE(sw, XmNxrtGaOuterExtent)
#endif
#ifndef UxPutXrtGaOuterExtent
#define UxPutXrtGaOuterExtent(sw, val) \
	RT_GA_PUT_DOUBLE(sw, XmNxrtGaOuterExtent, (val))
#endif

#ifndef UxGetXrtGaScale
#define UxGetXrtGaScale(sw) \
	(char *) UxDDGetProp(sw, XmNxrtGaScale)
#endif
#ifndef UxPutXrtGaScale
#define UxPutXrtGaScale(sw, val) \
	UxDDPutProp(sw, XmNxrtGaScale, ((XtArgVal)(val)))
#endif

#ifndef UxGetXrtGaShape
#define UxGetXrtGaShape(sw) \
	(char *) UxDDGetProp(sw, XmNxrtGaShape)
#endif
#ifndef UxPutXrtGaShape
#define UxPutXrtGaShape(sw, val) \
	UxDDPutProp(sw, XmNxrtGaShape, ((XtArgVal)(val)))
#endif

#ifndef UxGetXrtGaStartValue
#define UxGetXrtGaStartValue(sw) \
	(double) RT_GA_GET_DOUBLE(sw, XmNxrtGaStartValue)
#endif
#ifndef UxPutXrtGaStartValue
#define UxPutXrtGaStartValue(sw, val) \
	RT_GA_PUT_DOUBLE(sw, XmNxrtGaStartValue, (val))
#endif

#ifndef UxGetXrtGaStopValue
#define UxGetXrtGaStopValue(sw) \
	(double) RT_GA_GET_DOUBLE(sw, XmNxrtGaStopValue)
#endif
#ifndef UxPutXrtGaStopValue
#define UxPutXrtGaStopValue(sw, val) \
	RT_GA_PUT_DOUBLE(sw, XmNxrtGaStopValue, (val))
#endif


/* Runtime create macro */
#ifndef UxCreateXrtGaRange
#define UxCreateXrtGaRange(name, parent) \
	UxCreateSwidget(name, xmXrtGaRangeObjectClass, parent)
#endif


#endif /* DESIGN_TIME */

#endif

