/* ALL RIGHTS RESERVED
 *
 * This file is provided for demonstration and educational uses only.
 * Permission to use, copy, modify and distribute this file for
 * any purpose and without fee is hereby granted, provided that the
 * above copyright notice and this permission notice appear in all
 * copies, and that the name of KL Group not be used in advertising
 * or publicity pertaining to this material without the specific,
 * prior written permission of an authorized representative of
 * KL Group.
 *
 * KL GROUP MAKES NO REPRESENTATIONS AND EXTENDS NO WARRANTIES, EX-
 * PRESS OR IMPLIED, WITH RESPECT TO THE SOFTWARE, INCLUDING, BUT
 * NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND
 * FITNESS FOR ANY PARTICULAR PURPOSE, AND THE WARRANTY AGAINST IN-
 * FRINGEMENT OF PATENTS OR OTHER INTELLECTUAL PROPERTY RIGHTS.  THE
 * SOFTWARE IS PROVIDED "AS IS", AND IN NO EVENT SHALL KL GROUP OR
 * ANY OF ITS AFFILIATES BE LIABLE FOR ANY DAMAGES, INCLUDING ANY
 * LOST PROFITS OR OTHER INCIDENTAL OR CONSEQUENTIAL DAMAGES
 * RELATING TO THE USE OF THIS SOFTWARE.
 *
 *
 * XRT/gear widget UIM/X integration file
 *
 *  SCCSID -- @(#)UxXrtGearCombo.h	1.8    99/01/29 KL Group Inc.
 */

/******************************************************************************
				UxXrtGearCombo.h
******************************************************************************/

#ifndef UXXRTGEARCOMBO_INCLUDED
#define UXXRTGEARCOMBO_INCLUDED

#include <Xm/XrtGearCombo.h>	/* Widget class public header file */
#include "Xrt_restable.h"
#include "UxXrtManager.h"

#include "UxXrtGearCombo.hxx"  /* Include C++ header file (New in UIM/X 3.0)*/

#ifdef DESIGN_TIME
#ifndef NO_UX_MACROS

#define XRTGEAR_GEARCOMBO_TABLE(x)	xrtGearCombo_res_table[x].prpty, xrtGearCombo_res_table[x].name

/* Design-Time UxGet and UxPut macros for xrtGearComboBlinkRate */
#ifndef UxGetBlinkRate_Combo
#define UxGetBlinkRate_Combo(sw) \
	UxGET_int(sw, XRTGEAR_GEARCOMBO_TABLE(xrtGearComboResNumBlinkRate))
#endif
#ifndef UxPutBlinkRate_Combo
#define UxPutBlinkRate_Combo(sw, val) \
	UxPUT_int(sw, XRTGEAR_GEARCOMBO_TABLE(xrtGearComboResNumBlinkRate), val)
#endif

/* Design-Time UxGet and UxPut macros for xrtGearComboColumns */
#ifndef UxGetColumns_Combo
#define UxGetColumns_Combo(sw) \
	UxGET_short(sw, XRTGEAR_GEARCOMBO_TABLE(xrtGearComboResNumColumns))
#endif
#ifndef UxPutColumns_Combo
#define UxPutColumns_Combo(sw, val) \
	UxPUT_short(sw, XRTGEAR_GEARCOMBO_TABLE(xrtGearComboResNumColumns), val)
#endif

/* Design-Time UxGet and UxPut macros for xrtGearComboCursorPosition */
#ifndef UxGetCursorPosition_Combo
#define UxGetCursorPosition_Combo(sw) \
	UxGET_int(sw, XRTGEAR_GEARCOMBO_TABLE(xrtGearComboResNumCursorPosition))
#endif
#ifndef UxPutCursorPosition_Combo
#define UxPutCursorPosition_Combo(sw, val) \
	UxPUT_int(sw, XRTGEAR_GEARCOMBO_TABLE(xrtGearComboResNumCursorPosition), val)
#endif

/* Design-Time UxGet and UxPut macros for xrtGearComboCursorPositionVisible */
#ifndef UxGetCursorPositionVisible_Combo
#define UxGetCursorPositionVisible_Combo(sw) \
	UxGET_string(sw, XRTGEAR_GEARCOMBO_TABLE(xrtGearComboResNumCursorPositionVisible))
#endif
#ifndef UxPutCursorPositionVisible_Combo
#define UxPutCursorPositionVisible_Combo(sw, val) \
	UxPUT_string(sw, XRTGEAR_GEARCOMBO_TABLE(xrtGearComboResNumCursorPositionVisible), val)
#endif

/* Design-Time UxGet and UxPut macros for xrtGearComboEditable */
#ifndef UxGetEditable_Combo
#define UxGetEditable_Combo(sw) \
	UxGET_string(sw, XRTGEAR_GEARCOMBO_TABLE(xrtGearComboResNumEditable))
#endif
#ifndef UxPutEditable_Combo
#define UxPutEditable_Combo(sw, val) \
	UxPUT_string(sw, XRTGEAR_GEARCOMBO_TABLE(xrtGearComboResNumEditable), val)
#endif

/* Design-Time UxGet and UxPut macros for xrtGearComboFontList */
#ifndef UxGetFontList_Combo
#define UxGetFontList_Combo(sw) \
	UxGET_string(sw, XRTGEAR_GEARCOMBO_TABLE(xrtGearComboResNumFontList))
#endif
#ifndef UxPutFontList_Combo
#define UxPutFontList_Combo(sw, val) \
	UxPUT_string(sw, XRTGEAR_GEARCOMBO_TABLE(xrtGearComboResNumFontList), val)
#endif

/* Design-Time UxGet and UxPut macros for xrtGearComboMaxLength */
#ifndef UxGetMaxLength_Combo
#define UxGetMaxLength_Combo(sw) \
	UxGET_int(sw, XRTGEAR_GEARCOMBO_TABLE(xrtGearComboResNumMaxLength))
#endif
#ifndef UxPutMaxLength_Combo
#define UxPutMaxLength_Combo(sw, val) \
	UxPUT_int(sw, XRTGEAR_GEARCOMBO_TABLE(xrtGearComboResNumMaxLength), val)
#endif

/* Design-Time UxGet and UxPut macros for xrtGearComboMarginHeight */
#ifndef UxGetMarginHeight_Combo
#define UxGetMarginHeight_Combo(sw) \
	UxGET_short(sw, XRTGEAR_GEARCOMBO_TABLE(xrtGearComboResNumMarginHeight))
#endif
#ifndef UxPutMarginHeight_Combo
#define UxPutMarginHeight_Combo(sw, val) \
	UxPUT_short(sw, XRTGEAR_GEARCOMBO_TABLE(xrtGearComboResNumMarginHeight), val)
#endif

/* Design-Time UxGet and UxPut macros for xrtGearComboMarginWidth */
#ifndef UxGetMarginWidth_Combo
#define UxGetMarginWidth_Combo(sw) \
	UxGET_short(sw, XRTGEAR_GEARCOMBO_TABLE(xrtGearComboResNumMarginWidth))
#endif
#ifndef UxPutMarginWidth_Combo
#define UxPutMarginWidth_Combo(sw, val) \
	UxPUT_short(sw, XRTGEAR_GEARCOMBO_TABLE(xrtGearComboResNumMarginWidth), val)
#endif

/* Design-Time UxGet and UxPut macros for xrtGearComboPendingDelete */
#ifndef UxGetPendingDelete_Combo
#define UxGetPendingDelete_Combo(sw) \
	UxGET_string(sw, XRTGEAR_GEARCOMBO_TABLE(xrtGearComboResNumPendingDelete))
#endif
#ifndef UxPutPendingDelete_Combo
#define UxPutPendingDelete_Combo(sw, val) \
	UxPUT_string(sw, XRTGEAR_GEARCOMBO_TABLE(xrtGearComboResNumPendingDelete), val)
#endif

/* Design-Time UxGet and UxPut macros for xrtGearComboResizeWidth */
#ifndef UxGetResizeWidth_Combo
#define UxGetResizeWidth_Combo(sw) \
	UxGET_string(sw, XRTGEAR_GEARCOMBO_TABLE(xrtGearComboResNumResizeWidth))
#endif
#ifndef UxPutResizeWidth_Combo
#define UxPutResizeWidth_Combo(sw, val) \
	UxPUT_string(sw, XRTGEAR_GEARCOMBO_TABLE(xrtGearComboResNumResizeWidth), val)
#endif

/* Design-Time UxGet and UxPut macros for xrtGearComboSelectionArray */
#ifndef UxGetSelectionArray_Combo
#define UxGetSelectionArray_Combo(sw) \
	UxGET_string(sw, XRTGEAR_GEARCOMBO_TABLE(xrtGearComboResNumSelectionArray))
#endif
#ifndef UxPutSelectionArray_Combo
#define UxPutSelectionArray_Combo(sw, val) \
	UxPUT_string(sw, XRTGEAR_GEARCOMBO_TABLE(xrtGearComboResNumSelectionArray), val)
#endif

/* Design-Time UxGet and UxPut macros for xrtGearComboSelectionArrayCount */
#ifndef UxGetSelectionArrayCount_Combo
#define UxGetSelectionArrayCount_Combo(sw) \
	UxGET_string(sw, XRTGEAR_GEARCOMBO_TABLE(xrtGearComboResNumSelectionArrayCount))
#endif
#ifndef UxPutSelectionArrayCount_Combo
#define UxPutSelectionArrayCount_Combo(sw, val) \
	UxPUT_string(sw, XRTGEAR_GEARCOMBO_TABLE(xrtGearComboResNumSelectionArrayCount), val)
#endif

/* Design-Time UxGet and UxPut macros for xrtGearComboSelectThreshold */
#ifndef UxGetSelectThreshold_Combo
#define UxGetSelectThreshold_Combo(sw) \
	UxGET_int(sw, XRTGEAR_GEARCOMBO_TABLE(xrtGearComboResNumSelectThreshold))
#endif
#ifndef UxPutSelectThreshold_Combo
#define UxPutSelectThreshold_Combo(sw, val) \
	UxPUT_int(sw, XRTGEAR_GEARCOMBO_TABLE(xrtGearComboResNumSelectThreshold), val)
#endif

/* Design-Time UxGet and UxPut macros for xrtGearComboValue */
#ifndef UxGetValue_Combo
#define UxGetValue_Combo(sw) \
	UxGET_string(sw, XRTGEAR_GEARCOMBO_TABLE(xrtGearComboResNumValue))
#endif
#ifndef UxPutValue_Combo
#define UxPutValue_Combo(sw, val) \
	UxPUT_string(sw, XRTGEAR_GEARCOMBO_TABLE(xrtGearComboResNumValue), val)
#endif

/* Design-Time UxGet and UxPut macros for xrtGearComboValueWcs */
#ifndef UxGetValueWcs_Combo
#define UxGetValueWcs_Combo(sw) \
	UxGET_string(sw, XRTGEAR_GEARCOMBO_TABLE(xrtGearComboResNumValueWcs))
#endif
#ifndef UxPutValueWcs_Combo
#define UxPutValueWcs_Combo(sw, val) \
	UxPUT_string(sw, XRTGEAR_GEARCOMBO_TABLE(xrtGearComboResNumValueWcs), val)
#endif

/* Design-Time UxGet and UxPut macros for xrtGearComboVerifyBell */
#ifndef UxGetVerifyBell_Combo
#define UxGetVerifyBell_Combo(sw) \
	UxGET_string(sw, XRTGEAR_GEARCOMBO_TABLE(xrtGearComboResNumVerifyBell))
#endif
#ifndef UxPutVerifyBell_Combo
#define UxPutVerifyBell_Combo(sw, val) \
	UxPUT_string(sw, XRTGEAR_GEARCOMBO_TABLE(xrtGearComboResNumVerifyBell), val)
#endif

/* Design-Time UxGet and UxPut macros for xrtGearComboAlignment */
#ifndef UxGetXrtGearAlignment_Combo
#define UxGetXrtGearAlignment_Combo(sw) \
	UxGET_string(sw, XRTGEAR_GEARCOMBO_TABLE(xrtGearComboResNumAlignment))
#endif
#ifndef UxPutXrtGearAlignment_Combo
#define UxPutXrtGearAlignment_Combo(sw, val) \
	UxPUT_string(sw, XRTGEAR_GEARCOMBO_TABLE(xrtGearComboResNumAlignment), val)
#endif

/* Design-Time UxGet and UxPut macros for xrtGearComboGearArrow */
#ifndef UxGetXrtGearArrow_Combo
#define UxGetXrtGearArrow_Combo(sw) \
	UxGET_string(sw, XRTCMBFLD_TABLE(xrtGearComboResNumArrow))
#endif
#ifndef UxPutXrtGearArrow_Combo
#define UxPutXrtGearArrow_Combo(sw, val) \
	UxPUT_string(sw, XRTCMBFLD_TABLE(xrtGearComboResNumArrow), val)
#endif

/* Design-Time UxGet and UxPut macros for xrtGearComboArrowType */
#ifndef UxGetXrtGearArrowType_Combo
#define UxGetXrtGearArrowType_Combo(sw) \
	UxGET_string(sw, XRTGEAR_GEARCOMBO_TABLE(xrtGearComboResNumArrowType))
#endif
#ifndef UxPutXrtGearArrowType_Combo
#define UxPutXrtGearArrowType_Combo(sw, val) \
	UxPUT_string(sw, XRTGEAR_GEARCOMBO_TABLE(xrtGearComboResNumArrowType), val)
#endif

/* Design-Time UxGet and UxPut macros for xrtGearComboGearMenuList */
#ifndef UxGetXrtGearMenuList_Combo
#define UxGetXrtGearMenuList_Combo(sw) \
	UxGET_string(sw, XRTCMBFLD_TABLE(xrtGearComboResNumMenuList))
#endif
#ifndef UxPutXrtGearMenuList_Combo
#define UxPutXrtGearMenuList_Combo(sw, val) \
	UxPUT_string(sw, XRTCMBFLD_TABLE(xrtGearComboResNumMenuList), val)
#endif

/* Design-Time UxGet and UxPut macros for xrtGearComboPickList */
#ifndef UxGetXrtGearPickList_Combo
#define UxGetXrtGearPickList_Combo(sw) \
	UxGET_string(sw, XRTGEAR_GEARCOMBO_TABLE(xrtGearComboResNumPickList))
#endif
#ifndef UxPutXrtGearPickList_Combo
#define UxPutXrtGearPickList_Combo(sw, val) \
	UxPUT_string(sw, XRTGEAR_GEARCOMBO_TABLE(xrtGearComboResNumPickList), val)
#endif

/* Design-Time UxGet and UxPut macros for xrtGearComboPickListIndex */
#ifndef UxGetXrtGearPickListIndex_Combo
#define UxGetXrtGearPickListIndex_Combo(sw) \
	UxGET_int(sw, XRTGEAR_GEARCOMBO_TABLE(xrtGearComboResNumPickListIndex))
#endif
#ifndef UxPutXrtGearPickListIndex_Combo
#define UxPutXrtGearPickListIndex_Combo(sw, val) \
	UxPUT_int(sw, XRTGEAR_GEARCOMBO_TABLE(xrtGearComboResNumPickListIndex), val)
#endif

/* Design-Time UxGet and UxPut macros for xrtGearComboSearchPolicy */
#ifndef UxGetXrtGearSearchPolicy_Combo
#define UxGetXrtGearSearchPolicy_Combo(sw) \
	UxGET_string(sw, XRTGEAR_GEARCOMBO_TABLE(xrtGearComboResNumSearchPolicy))
#endif
#ifndef UxPutXrtGearSearchPolicy_Combo
#define UxPutXrtGearSearchPolicy_Combo(sw, val) \
	UxPUT_string(sw, XRTGEAR_GEARCOMBO_TABLE(xrtGearComboResNumSearchPolicy), val)
#endif

/* Design-Time UxGet and UxPut macros for xrtGearComboSpacing */
#ifndef UxGetXrtGearSpacing_Combo
#define UxGetXrtGearSpacing_Combo(sw) \
	UxGET_short(sw, XRTGEAR_GEARCOMBO_TABLE(xrtGearComboResNumSpacing))
#endif
#ifndef UxPutXrtGearSpacing_Combo
#define UxPutXrtGearSpacing_Combo(sw, val) \
	UxPUT_short(sw, XRTGEAR_GEARCOMBO_TABLE(xrtGearComboResNumSpacing), val)
#endif

/* Design-Time UxGet and UxPut macros for xrtGearComboGearTextField */
#ifndef UxGetXrtGearTextField_Combo
#define UxGetXrtGearTextField_Combo(sw) \
	UxGET_string(sw, XRTCMBFLD_TABLE(xrtGearComboResNumTextField))
#endif
#ifndef UxPutXrtGearTextField_Combo
#define UxPutXrtGearTextField_Combo(sw, val) \
	UxPUT_string(sw, XRTCMBFLD_TABLE(xrtGearComboResNumTextField), val)
#endif

/* Design-Time UxGet and UxPut macros for xrtGearComboVisibleItemCount */
#ifndef UxGetXrtGearVisibleItemCount_Combo
#define UxGetXrtGearVisibleItemCount_Combo(sw) \
	UxGET_int(sw, XRTGEAR_GEARCOMBO_TABLE(xrtGearComboResNumVisibleItemCount))
#endif
#ifndef UxPutXrtGearVisibleItemCount_Combo
#define UxPutXrtGearVisibleItemCount_Combo(sw, val) \
	UxPUT_int(sw, XRTGEAR_GEARCOMBO_TABLE(xrtGearComboResNumVisibleItemCount), val)
#endif

/* Design-Time UxGet and UxPut macros for XrtGearAutoComplete_Combo */
#ifndef UxGetXrtGearAutoComplete_Combo
#define UxGetXrtGearAutoComplete_Combo(sw) \
	UxGET_string(sw, XRTGEAR_GEARCOMBO_TABLE(xrtGearComboResNumAutoComplete))
#endif
#ifndef UxPutXrtGearAutoComplete_Combo
#define UxPutXrtGearAutoComplete_Combo(sw, val) \
	UxPUT_string(sw, XRTGEAR_GEARCOMBO_TABLE(xrtGearComboResNumAutoComplete), val)
#endif


#endif /* NO_UX_MACROS */

extern Class_t	UxC_XrtGearCombo;
/* Design-time create macro */
#ifndef UxCreateXrtGearCombo
#define UxCreateXrtGearCombo(name, parent) \
	UxCreateSwidget(UxC_XrtGearCombo, name, parent)
#endif

#else /* RUN_TIME */

#ifndef UxGetBlinkRate_Combo
#define UxGetBlinkRate_Combo(sw) \
	(int)UxIntGetProp(sw, XmNblinkRate)
#endif
#ifndef UxPutBlinkRate_Combo
#define UxPutBlinkRate_Combo(sw, val) \
	UxPutProp(sw, XmNblinkRate, (XtArgVal)(val))
#endif

#ifndef UxGetColumns_Combo
#define UxGetColumns_Combo(sw) \
	(short)UxShortGetProp(sw, XmNcolumns)
#endif
#ifndef UxPutColumns_Combo
#define UxPutColumns_Combo(sw, val) \
	UxPutProp(sw, XmNcolumns, (XtArgVal)(val))
#endif

#ifndef UxGetCursorPosition_Combo
#define UxGetCursorPosition_Combo(sw) \
	(long)UxGetProp(sw, XmNcursorPosition)
#endif
#ifndef UxPutCursorPosition_Combo
#define UxPutCursorPosition_Combo(sw, val) \
	UxPutProp(sw, XmNcursorPosition, (XtArgVal)(val))
#endif

#ifndef UxGetCursorPositionVisible_Combo
#define UxGetCursorPositionVisible_Combo(sw) \
	(char *) UxDDGetProp(sw, XmNcursorPositionVisible)
#endif
#ifndef UxPutCursorPositionVisible_Combo
#define UxPutCursorPositionVisible_Combo(sw, val) \
	UxDDPutProp(sw, XmNcursorPositionVisible, (XtArgVal)(val))
#endif

#ifndef UxGetEditable_Combo
#define UxGetEditable_Combo(sw) \
	(char *) UxDDGetProp(sw, XmNeditable)
#endif
#ifndef UxPutEditable_Combo
#define UxPutEditable_Combo(sw, val) \
	UxDDPutProp(sw, XmNeditable, (XtArgVal)(val))
#endif

#ifndef UxGetFontList_Combo
#define UxGetFontList_Combo(sw) \
	(char *) UxDDGetProp(sw, XmNfontList)
#endif
#ifndef UxPutFontList_Combo
#define UxPutFontList_Combo(sw, val) \
	UxDDPutProp(sw, XmNfontList, (XtArgVal)(val))
#endif

#ifndef UxGetMaxLength_Combo
#define UxGetMaxLength_Combo(sw) \
	(int)UxIntGetProp(sw, XmNmaxLength)
#endif
#ifndef UxPutMaxLength_Combo
#define UxPutMaxLength_Combo(sw, val) \
	UxPutProp(sw, XmNmaxLength, (XtArgVal)(val))
#endif

#ifndef UxGetMarginHeight_Combo
#define UxGetMarginHeight_Combo(sw) \
	(short)UxShortGetProp(sw, XmNmarginHeight)
#endif
#ifndef UxPutMarginHeight_Combo
#define UxPutMarginHeight_Combo(sw, val) \
	UxPutProp(sw, XmNmarginHeight, (XtArgVal)(val))
#endif

#ifndef UxGetMarginWidth_Combo
#define UxGetMarginWidth_Combo(sw) \
	(short)UxShortGetProp(sw, XmNmarginWidth)
#endif
#ifndef UxPutMarginWidth_Combo
#define UxPutMarginWidth_Combo(sw, val) \
	UxPutProp(sw, XmNmarginWidth, (XtArgVal)(val))
#endif

#ifndef UxGetPendingDelete_Combo
#define UxGetPendingDelete_Combo(sw) \
	(char *) UxDDGetProp(sw, XmNpendingDelete)
#endif
#ifndef UxPutPendingDelete_Combo
#define UxPutPendingDelete_Combo(sw, val) \
	UxDDPutProp(sw, XmNpendingDelete, (XtArgVal)(val))
#endif

#ifndef UxGetResizeWidth_Combo
#define UxGetResizeWidth_Combo(sw) \
	(char *) UxDDGetProp(sw, XmNresizeWidth)
#endif
#ifndef UxPutResizeWidth_Combo
#define UxPutResizeWidth_Combo(sw, val) \
	UxDDPutProp(sw, XmNresizeWidth, (XtArgVal)(val))
#endif

#ifndef UxGetSelectionArray_Combo
#define UxGetSelectionArray_Combo(sw) \
	(char *) UxDDGetProp(sw, XmNselectionArray)
#endif
#ifndef UxPutSelectionArray_Combo
#define UxPutSelectionArray_Combo(sw, val) \
	UxDDPutProp(sw, XmNselectionArray, (XtArgVal)(val))
#endif

#ifndef UxGetSelectionArrayCount_Combo
#define UxGetSelectionArrayCount_Combo(sw) \
	(char *) UxDDGetProp(sw, XmNselectionArrayCount)
#endif
#ifndef UxPutSelectionArrayCount_Combo
#define UxPutSelectionArrayCount_Combo(sw, val) \
	UxDDPutProp(sw, XmNselectionArrayCount, (XtArgVal)(val))
#endif

#ifndef UxGetSelectThreshold_Combo
#define UxGetSelectThreshold_Combo(sw) \
	(int)UxIntGetProp(sw, XmNselectThreshold)
#endif
#ifndef UxPutSelectThreshold_Combo
#define UxPutSelectThreshold_Combo(sw, val) \
	UxPutProp(sw, XmNselectThreshold, (XtArgVal)(val))
#endif

#ifndef UxGetValue_Combo
#define UxGetValue_Combo(sw) \
	(char *) UxDDGetProp(sw, XmNvalue)
#endif
#ifndef UxPutValue_Combo
#define UxPutValue_Combo(sw, val) \
	UxDDPutProp(sw, XmNvalue, (XtArgVal)(val))
#endif

#ifndef UxGetValueWcs_Combo
#define UxGetValueWcs_Combo(sw) \
	(char *) UxDDGetProp(sw, XmNvalueWcs)
#endif
#ifndef UxPutValueWcs_Combo
#define UxPutValueWcs_Combo(sw, val) \
	UxDDPutProp(sw, XmNvalueWcs, (XtArgVal)(val))
#endif

#ifndef UxGetVerifyBell_Combo
#define UxGetVerifyBell_Combo(sw) \
	(char *) UxDDGetProp(sw, XmNverifyBell)
#endif
#ifndef UxPutVerifyBell_Combo
#define UxPutVerifyBell_Combo(sw, val) \
	UxDDPutProp(sw, XmNverifyBell, (XtArgVal)(val))
#endif

#ifndef UxGetXrtGearAlignment_Combo
#define UxGetXrtGearAlignment_Combo(sw) \
	(char *) UxDDGetProp(sw, XmNxrtGearAlignment)
#endif
#ifndef UxPutXrtGearAlignment_Combo
#define UxPutXrtGearAlignment_Combo(sw, val) \
	UxDDPutProp(sw, XmNxrtGearAlignment, (XtArgVal)(val))
#endif

#ifndef UxGetXrtGearArrow_Combo
#define UxGetXrtGearArrow_Combo(sw) \
	(char *) UxDDGetProp(sw, XmNxrtGearArrow)
#endif
#ifndef UxPutXrtGearArrow_Combo
#define UxPutXrtGearArrow_Combo(sw, val) \
	UxDDPutProp(sw, XmNxrtGearArrow_Combo, (XtArgVal)(val))
#endif

#ifndef UxGetXrtGearArrowClass_Combo
#define UxGetXrtGearArrowClass_Combo(sw) \
	(char *) UxDDGetProp(sw, XmNxrtGearArrowClass)
#endif
#ifndef UxPutXrtGearArrowClass_Combo
#define UxPutXrtGearArrowClass_Combo(sw, val) \
	UxDDPutProp(sw, XmNxrtGearArrowClass, (XtArgVal)(val))
#endif

#ifndef UxGetXrtGearArrowType_Combo
#define UxGetXrtGearArrowType_Combo(sw) \
	(char *) UxDDGetProp(sw, XmNxrtGearArrowType)
#endif
#ifndef UxPutXrtGearArrowType_Combo
#define UxPutXrtGearArrowType_Combo(sw, val) \
	UxDDPutProp(sw, XmNxrtGearArrowType, (XtArgVal)(val))
#endif

#ifndef UxGetXrtGearMenuList_Combo
#define UxGetXrtGearMenuList_Combo(sw) \
	(char *) UxDDGetProp(sw, XmNxrtGearMenuList)
#endif
#ifndef UxPutXrtGearMenuList_Combo
#define UxPutXrtGearMenuList_Combo(sw, val) \
	UxDDPutProp(sw, XmNxrtGearMenuList_Combo, (XtArgVal)(val))
#endif

#ifndef UxGetXrtGearPickList_Combo
#define UxGetXrtGearPickList_Combo(sw) \
	(char *) UxDDGetProp(sw, XmNxrtGearPickList)
#endif
#ifndef UxPutXrtGearPickList_Combo
#define UxPutXrtGearPickList_Combo(sw, val) \
	UxDDPutProp(sw, XmNxrtGearPickList, (XtArgVal)(val))
#endif

#ifndef UxGetXrtGearPickListIndex_Combo
#define UxGetXrtGearPickListIndex_Combo(sw) \
	(int)UxIntGetProp(sw, XmNxrtGearPickListIndex)
#endif
#ifndef UxPutXrtGearPickListIndex_Combo
#define UxPutXrtGearPickListIndex_Combo(sw, val) \
	UxPutProp(sw, XmNxrtGearPickListIndex, (XtArgVal)(val))
#endif

#ifndef UxGetXrtGearSearchPolicy_Combo
#define UxGetXrtGearSearchPolicy_Combo(sw) \
	(char *) UxDDGetProp(sw, XmNxrtGearSearchPolicy)
#endif
#ifndef UxPutXrtGearSearchPolicy_Combo
#define UxPutXrtGearSearchPolicy_Combo(sw, val) \
	UxDDPutProp(sw, XmNxrtGearSearchPolicy, (XtArgVal)(val))
#endif

#ifndef UxGetXrtGearSpacing_Combo
#define UxGetXrtGearSpacing_Combo(sw) \
	(short)UxShortGetProp(sw, XmNxrtGearSpacing)
#endif
#ifndef UxPutXrtGearSpacing_Combo
#define UxPutXrtGearSpacing_Combo(sw, val) \
	UxPutProp(sw, XmNxrtGearSpacing, (XtArgVal)(val))
#endif

#ifndef UxGetXrtGearTextField_Combo
#define UxGetXrtGearTextField_Combo(sw) \
	(char *) UxDDGetProp(sw, XmNxrtGearTextField)
#endif
#ifndef UxPutXrtGearTextField_Combo
#define UxPutXrtGearTextField_Combo(sw, val) \
	UxDDPutProp(sw, XmNxrtGearTextField_Combo, (XtArgVal)(val))
#endif

#ifndef UxGetXrtGearVisibleItemCount_Combo
#define UxGetXrtGearVisibleItemCount_Combo(sw) \
	(int)UxIntGetProp(sw, XmNxrtGearVisibleItemCount)
#endif
#ifndef UxPutXrtGearVisibleItemCount_Combo
#define UxPutXrtGearVisibleItemCount_Combo(sw, val) \
	UxPutProp(sw, XmNxrtGearVisibleItemCount, (XtArgVal)(val))
#endif

#ifndef UxGetXrtGearAutoComplete_Combo
#define UxGetXrtGearAutoComplete_Combo(sw) \
	(char *) UxDDGetProp(sw, XmNxrtGearAutoComplete)
#endif
#ifndef UxPutXrtGearAutoComplete_Combo
#define UxPutXrtGearAutoComplete_Combo(sw, val) \
	UxDDPutProp(sw, XmNxrtGearAutoComplete, (XtArgVal)(val))
#endif

/* Runtime create macro */
#ifndef UxCreateXrtGearCombo
#define UxCreateXrtGearCombo(name, parent) \
	UxCreateSwidget(name, xmXrtGearComboWidgetClass, parent)
#endif

#endif /* DESIGN_TIME */

#endif /* UXXRTTOOLBAR_INCLUDED */

/***END*OF*FILE***************************************************************/
