/* ALL RIGHTS RESERVED
 *
 * This file is provided for demonstration and educational uses only.
 * Permission to use, copy, modify and distribute this file for
 * any purpose and without fee is hereby granted, provided that the
 * above copyright notice and this permission notice appear in all
 * copies, and that the name of KL Group not be used in advertising
 * or publicity pertaining to this material without the specific,
 * prior written permission of an authorized representative of
 * KL Group.
 *
 * KL GROUP MAKES NO REPRESENTATIONS AND EXTENDS NO WARRANTIES, EX-
 * PRESS OR IMPLIED, WITH RESPECT TO THE SOFTWARE, INCLUDING, BUT
 * NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND
 * FITNESS FOR ANY PARTICULAR PURPOSE, AND THE WARRANTY AGAINST IN-
 * FRINGEMENT OF PATENTS OR OTHER INTELLECTUAL PROPERTY RIGHTS.  THE
 * SOFTWARE IS PROVIDED "AS IS", AND IN NO EVENT SHALL KL GROUP OR
 * ANY OF ITS AFFILIATES BE LIABLE FOR ANY DAMAGES, INCLUDING ANY
 * LOST PROFITS OR OTHER INCIDENTAL OR CONSEQUENTIAL DAMAGES
 * RELATING TO THE USE OF THIS SOFTWARE.
 *
 *
 * XRT/gear widget UIM/X integration file
 *
 * $AstecId: UxXrtPushB.hxx,v 1.4 1999/10/13 11:50:35 nakayama Exp $
 *
 *  SCCSID -- @(#)UxXrtPushB.hxx	1.5    98/11/05 KL Group Inc.
 */

#if defined(__cplusplus) && !defined(XT_CODE) && !defined(NO_UXBINDINGS)  && !defined(UIMX2_9)

class UxXrtPushB : public UxPushButton
{
    public:

	// Constructors
	UXINLINE UxXrtPushB(void);
	UXINLINE UxXrtPushB(const char*, swidget);

	// Initialisation
	UXINLINE swidget CreateSwidget (const char*, swidget);

	// Resource accessor functions
	UXINLINE char * GetXrtGearArmMask_PB () const;
	UXINLINE void SetXrtGearArmMask_PB (const char *);

	UXINLINE char * GetXrtGearArmPixmap_PB () const;
	UXINLINE void SetXrtGearArmPixmap_PB (const char *);

	UXINLINE char * GetXrtGearLabelPixmap_PB () const;
	UXINLINE void SetXrtGearLabelPixmap_PB (const char *);

	UXINLINE char * GetXrtGearLabelType_PB () const;
	UXINLINE void SetXrtGearLabelType_PB (const char *);

	UXINLINE short GetXrtGearLayoutSpacing_PB () const;
	UXINLINE void SetXrtGearLayoutSpacing_PB (short);

	UXINLINE char * GetXrtGearMask_PB () const;
	UXINLINE void SetXrtGearMask_PB (const char *);

	UXINLINE char * GetXrtGearPixmapRotation_PB () const;
	UXINLINE void SetXrtGearPixmapRotation_PB (const char *);

	UXINLINE char * GetXrtGearStringLayout_PB () const;
	UXINLINE void SetXrtGearStringLayout_PB (const char *);

	UXINLINE char * GetXrtGearStringRotation_PB () const;
	UXINLINE void SetXrtGearStringRotation_PB (const char *);

	UXINLINE char * GetXrtGearActive_PB () const;
	UXINLINE void SetXrtGearActive_PB(const char * );
};

#ifdef DESIGN_TIME

#define XRTGEAR_PB_TABLE(x)	xrtPB_res_table[x].prpty, xrtPB_res_table[x].name

extern Class_t UxC_XrtPushB;

#else /* (not DESIGN_TIME) */

// Constructors
inline UxXrtPushB::UxXrtPushB(void){}
inline UxXrtPushB::UxXrtPushB(const char* name, swidget uXParent)
{
	CreateSwidget(name,uXParent);
}

// Initialisation
inline swidget UxXrtPushB::CreateSwidget (const char* name, swidget parent)
{
	if (UxThis == NULL)
		UxThis = UxCreateSwidget( (char *) name,
					  xmXrtPushButtonWidgetClass, parent);
	return UxThis;
}

inline char * UxXrtPushB::GetXrtGearArmMask_PB (void) const
	{ return (char * ) DDGetProp(XmNxrtGearArmMask);}
inline void UxXrtPushB::SetXrtGearArmMask_PB (const char * val)
	{ DDSetProp(XmNxrtGearArmMask, ((XtArgVal)(val)));}

inline char * UxXrtPushB::GetXrtGearArmPixmap_PB (void) const
	{ return (char * ) DDGetProp(XmNxrtGearArmPixmap);}
inline void UxXrtPushB::SetXrtGearArmPixmap_PB (const char * val)
	{ DDSetProp(XmNxrtGearArmPixmap, ((XtArgVal)(val)));}

inline char * UxXrtPushB::GetXrtGearLabelPixmap_PB (void) const
	{ return (char * ) DDGetProp(XmNxrtGearLabelPixmap);}
inline void UxXrtPushB::SetXrtGearLabelPixmap_PB (const char * val)
	{ DDSetProp(XmNxrtGearLabelPixmap, ((XtArgVal)(val)));}

inline char * UxXrtPushB::GetXrtGearLabelType_PB (void) const
	{ return (char * ) DDGetProp(XmNxrtGearLabelType);}
inline void UxXrtPushB::SetXrtGearLabelType_PB (const char * val)
	{ DDSetProp(XmNxrtGearLabelType, ((XtArgVal)(val)));}

inline short UxXrtPushB::GetXrtGearLayoutSpacing_PB (void) const
	{ return (short ) ShortGetProp(XmNxrtGearLayoutSpacing);}
inline void UxXrtPushB::SetXrtGearLayoutSpacing_PB	(short val)
	{ SetProp(XmNxrtGearLayoutSpacing, ((XtArgVal)(val)));}

inline char * UxXrtPushB::GetXrtGearMask_PB (void) const
	{ return (char * ) DDGetProp(XmNxrtGearMask);}
inline void UxXrtPushB::SetXrtGearMask_PB (const char * val)
	{ DDSetProp(XmNxrtGearMask, ((XtArgVal)(val)));}

inline char * UxXrtPushB::GetXrtGearPixmapRotation_PB (void) const
	{ return (char * ) DDGetProp(XmNxrtGearPixmapRotation);}
inline void UxXrtPushB::SetXrtGearPixmapRotation_PB (const char * val)
	{ DDSetProp(XmNxrtGearPixmapRotation, ((XtArgVal)(val)));}

inline char * UxXrtPushB::GetXrtGearStringLayout_PB (void) const
	{ return (char * ) DDGetProp(XmNxrtGearStringLayout);}
inline void UxXrtPushB::SetXrtGearStringLayout_PB (const char * val)
	{ DDSetProp(XmNxrtGearStringLayout, ((XtArgVal)(val)));}

inline char * UxXrtPushB::GetXrtGearStringRotation_PB (void) const
	{ return (char * ) DDGetProp(XmNxrtGearStringRotation);}
inline void UxXrtPushB::SetXrtGearStringRotation_PB (const char * val)
	{ DDSetProp(XmNxrtGearStringRotation, ((XtArgVal)(val)));}

inline char * UxXrtPushB::GetXrtGearActive_PB (void) const
	{ return (char *) DDGetProp(XmNxrtGearActive);}
inline void UxXrtPushB::SetXrtGearActive_PB(const char * val)
	{ DDSetProp(XmNxrtGearActive, ((XtArgVal)(val)));}
#endif /* DESIGN_TIME */
#endif /* __cplusplus */
