/* ALL RIGHTS RESERVED
 *
 * This file is provided for demonstration and educational uses only.
 * Permission to use, copy, modify and distribute this file for
 * any purpose and without fee is hereby granted, provided that the
 * above copyright notice and this permission notice appear in all
 * copies, and that the name of KL Group not be used in advertising
 * or publicity pertaining to this material without the specific,
 * prior written permission of an authorized representative of
 * KL Group.
 *
 * KL GROUP MAKES NO REPRESENTATIONS AND EXTENDS NO WARRANTIES, EX-
 * PRESS OR IMPLIED, WITH RESPECT TO THE SOFTWARE, INCLUDING, BUT
 * NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND
 * FITNESS FOR ANY PARTICULAR PURPOSE, AND THE WARRANTY AGAINST IN-
 * FRINGEMENT OF PATENTS OR OTHER INTELLECTUAL PROPERTY RIGHTS.  THE
 * SOFTWARE IS PROVIDED "AS IS", AND IN NO EVENT SHALL KL GROUP OR
 * ANY OF ITS AFFILIATES BE LIABLE FOR ANY DAMAGES, INCLUDING ANY
 * LOST PROFITS OR OTHER INCIDENTAL OR CONSEQUENTIAL DAMAGES
 * RELATING TO THE USE OF THIS SOFTWARE.
 *
 *
 * XRT/field widget UIM/X integration file
 *
 *  SCCSID -- @(#)XrtFld.resnum.h	1.7    98/11/05 KL Group Inc.
 */

/******************************************************************************
				XrtFld.resnum.h
******************************************************************************/

typedef enum {
  xrtFldResNumAllowNull,
  xrtFldResNumCase,
  xrtFldResNumCompleteCallback,
  xrtFldResNumConvertCallback,
  xrtFldResNumDefaultBackground,
  xrtFldResNumDefaultForeground,
  xrtFldResNumDisplayFormat,
  xrtFldResNumDisplayHorizScrollBar,
  xrtFldResNumDisplayVertScrollBar,
  xrtFldResNumEditFormat,
  xrtFldResNumEnterCallback,
  xrtFldResNumErrorBackground,
  xrtFldResNumErrorCallback,
  xrtFldResNumErrorForeground,
  xrtFldResNumErrorString,
  xrtFldResNumExitCallback,
  xrtFldResNumInvalidChars,
  xrtFldResNumIsDefault,
  xrtFldResNumIsModified,
  xrtFldResNumIsValid,
  xrtFldResNumLastError,
  xrtFldResNumMask,
  xrtFldResNumMaskChars,
  xrtFldResNumMatchMask,
  xrtFldResNumMatchPickList,
  xrtFldResNumMaxLineLength,
  xrtFldResNumMaxLines,
  xrtFldResNumMenuAlignment, /* pds */
  xrtFldResNumMenuCallback,
  xrtFldResNumMenuList,
  xrtFldResNumOverstrike,
  xrtFldResNumPickListIndex,
  xrtFldResNumPromptString,
  xrtFldResNumRange,
  xrtFldResNumSearchPolicy, /* pds */
  xrtFldResNumSpinCallback,
  xrtFldResNumValidChars,
  xrtFldResNumValidateCallback,
  xrtFldResNumVisibleItemCount,

  xrtFldResNumAutoComplete,
  xrtFldResNumCreatePopups,
  xrtFldResNumPopupType,
  size_xrtFldResNum					/* holds number of enums defined */
  /* don't add new enums after size_xrtFldResNum*/
} XrtFldResNum;

typedef enum {
  xrtStringFldResNumDefaultValue,
  xrtStringFldResNumInternalValue,
  xrtStringFldResNumMax,
  xrtStringFldResNumMin,
  xrtStringFldResNumPickList,
  size_xrtStringFldResNum					/* holds number of enums defined */
  /* don't add new enums after size_xrtStringFldResNum*/
} XrtStringFldResNum;

typedef enum {
  xrtDateFldResNumCounterIncrement,
  xrtDateFldResNumDefaultValue,
  xrtDateFldResNumDisplayFormatString,
  xrtDateFldResNumEnterFormatList,
  xrtDateFldResNumInternalValue,
  xrtDateFldResNumInternalValueLong,
  xrtDateFldResNumMax,
  xrtDateFldResNumMilleniumThreshold, /* pds */
  xrtDateFldResNumMin,
  xrtDateFldResNumPickList,

  xrtDateFldResNumCalendar,
  xrtDateFldResNumCalendarCallback,
  xrtDateFldResNumSpinPolicy,
  size_xrtDateFldResNum					/* holds number of enums defined */
  /* don't add new enums after size_xrtDateFldResNum*/
} XrtDateFldResNum;

typedef enum {
  xrtFloatFldResNumCounterIncrement,
  xrtFloatFldResNumDecimalPlaces,
  xrtFloatFldResNumDefaultValue,
  xrtFloatFldResNumDisplayFormatString,
  xrtFloatFldResNumInternalValue,
  xrtFloatFldResNumLeadingZero,
  xrtFloatFldResNumMax,
  xrtFloatFldResNumMin,
  xrtFloatFldResNumNegativeFormat,
  xrtFloatFldResNumPickList,
  size_xrtFloatFldResNum					/* holds number of enums defined */
  /* don't add new enums after size_xrtFloatFldResNum*/
} XrtFloatFldResNum;

typedef enum {
  xrtIntFldResNumCounterIncrement,
  xrtIntFldResNumDefaultValue,
  xrtIntFldResNumDisplayFormatString,
  xrtIntFldResNumInternalValue,
  xrtIntFldResNumMax,
  xrtIntFldResNumMin,
  xrtIntFldResNumNegativeFormat,
  xrtIntFldResNumPickList,
  size_xrtIntFldResNum					/* holds number of enums defined */
  /* don't add new enums after size_xrtIntFldResNum*/
} XrtIntFldResNum;

typedef enum {
  xrtFldResNumComboArrow,
  xrtFldResNumComboArrowClass,
  xrtFldResNumComboArrowType,  /* pds */
  xrtFldResNumComboField,
  xrtFldResNumComboFieldClass,
  xrtFldResNumComboFieldType,
  xrtFldResNumComboSpacing,  /* pds */
  size_xrtComboResNum					/* holds number of enums defined */
  /* don't add new enums after size_xrtComboResNum*/
} XrtComboResNum;

typedef enum {
  xrtFldResNumSpinArrowLayout,
  xrtFldResNumSpinArrowOrientation,
  xrtFldResNumSpinArrowType,  /* pds */
  xrtFldResNumSpinDecrArrow,
  xrtFldResNumSpinDecrArrowClass,
  xrtFldResNumSpinField,
  xrtFldResNumSpinFieldClass,
  xrtFldResNumSpinFieldName,
  xrtFldResNumSpinFieldType,
  xrtFldResNumSpinIncrArrow,
  xrtFldResNumSpinIncrArrowClass,
  xrtFldResNumSpinSpacing,  /* pds */
  xrtFldResNumSpinType,
  size_xrtSpinResNum					/* holds number of enums defined */
  /* don't add new enums after size_xrtSpinResNum*/
} XrtSpinResNum;

typedef enum {
  xrtCalendarResNumCellMargin,
  xrtCalendarResNumCellHighlightColor,
  xrtCalendarResNumCellHighlightThickness,
  xrtCalendarResNumCreateMonth,
  xrtCalendarResNumCreateTime,
  xrtCalendarResNumCreateYear,
  xrtCalendarResNumEnabled,
  xrtCalendarResNumFirstDayOfWeek,
  xrtCalendarResNumFullWeekdayNames,
  xrtCalendarResNumHeaderNumChars,
  xrtCalendarResNumHeaderBackground,
  xrtCalendarResNumHeaderFontList,
  xrtCalendarResNumHeaderForeground,
  xrtCalendarResNumMarginBottom,
  xrtCalendarResNumMarginLeft,
  xrtCalendarResNumMarginRight,
  xrtCalendarResNumMarginTop,
  xrtCalendarResNumMaxRollDate,
  xrtCalendarResNumMinRollDate,
  xrtCalendarResNumModifyCallback ,
  xrtCalendarResNumSpecialDayBackground,
  xrtCalendarResNumSpecialDayForeground,
  xrtCalendarResNumSpecialDays,
  xrtCalendarResNumSelectedBackground,
  xrtCalendarResNumSelectedForeground,
  xrtCalendarResNumValue,
  xrtCalendarResNumValueLong,
  size_xrtCalendarResNum					/* holds number of enums defined */
  /* don't add new enums after size_xrtSpinResNum*/
} XrtCalendarResNum;
