/* ALL RIGHTS RESERVED
 *
 * This file is provided for demonstration and educational uses only.
 * Permission to use, copy, modify and distribute this file for
 * any purpose and without fee is hereby granted, provided that the
 * above copyright notice and this permission notice appear in all
 * copies, and that the name of KL Group not be used in advertising
 * or publicity pertaining to this material without the specific,
 * prior written permission of an authorized representative of
 * KL Group.
 *
 * KL GROUP MAKES NO REPRESENTATIONS AND EXTENDS NO WARRANTIES, EX-
 * PRESS OR IMPLIED, WITH RESPECT TO THE SOFTWARE, INCLUDING, BUT
 * NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND
 * FITNESS FOR ANY PARTICULAR PURPOSE, AND THE WARRANTY AGAINST IN-
 * FRINGEMENT OF PATENTS OR OTHER INTELLECTUAL PROPERTY RIGHTS.  THE
 * SOFTWARE IS PROVIDED "AS IS", AND IN NO EVENT SHALL KL GROUP OR
 * ANY OF ITS AFFILIATES BE LIABLE FOR ANY DAMAGES, INCLUDING ANY
 * LOST PROFITS OR OTHER INCIDENTAL OR CONSEQUENTIAL DAMAGES
 * RELATING TO THE USE OF THIS SOFTWARE.
 *
 * XRT/gauge widget UIM/X integration file
 *
 *  SCCSID -- @(#)XrtGauge.cl.h	1.2    99/12/08 KL Group Inc.
 */

/******************************************************************************
				XrtGauge.cl.h
******************************************************************************/

#ifndef XRTGAUGE_CL_H
#define XRTGAUGE_CL_H

#include "prim.cl.h"	/* swidget-superclass header file */
#include "gadget.cl.h"	/* swidget-superclass header file */

/* XrtGaCenter */
typedef struct UxXrtGaCenterClassPart
{
	Resource_t	*RD_background;
	Resource_t	*RD_xrtGaCircularScale;
	Resource_t	*RD_xrtGaDebug;
	Resource_t	*RD_xrtGaImage;
	Resource_t	*RD_xrtGaIsShowing;
	Resource_t	*RD_xrtGaRadius;
	Resource_t	*RD_xrtGaBorder;
	int	mumble;		/* Just in case */
} UxXrtGaCenterClassPart;

typedef	struct UxXrtGaCenterClass
{
	UxObjectClassPart		object;
	UxVeditableClassPart	veditable;
	UxShadowWidgetClassPart	ShadowWidget;
	UxRectObjectClassPart	RectObject;
	UxGadgetClassPart		gadget;
	UxXrtGaCenterClassPart	XrtGaCenter;
} UxXrtGaCenterClass;

typedef struct UxXrtGaCircularScaleClassPart
{
	Resource_t	*RD_background;
	Resource_t	*RD_xrtGaAllowTransform;
	Resource_t	*RD_xrtGaDebug;
	Resource_t	*RD_xrtGaDirection;
	Resource_t	*RD_xrtGaMax;
	Resource_t	*RD_xrtGaMin;
	Resource_t	*RD_xrtGaRadiusSize;
	Resource_t	*RD_xrtGaStartAngle;
	Resource_t	*RD_xrtGaStopAngle;
	Resource_t	*RD_xrtGaTransformCallback;
	Resource_t	*RD_xrtGaXOrigin;
	Resource_t	*RD_xrtGaYOrigin;
	int	mumble;		/* Just in case */
} UxXrtGaCircularScaleClassPart;

typedef	struct UxXrtGaCircularScaleClass
{
	UxObjectClassPart		object;
	UxVeditableClassPart	veditable;
	UxShadowWidgetClassPart	ShadowWidget;
	UxRectObjectClassPart	RectObject;
	UxGadgetClassPart		gadget;
	UxXrtGaCircularScaleClassPart	XrtGaCircularScale;
} UxXrtGaCircularScaleClass;

/* XrtGaCounter */
typedef struct UxXrtGaCounterClassPart
{
	Resource_t	*RD_background;
	Resource_t	*RD_fontList;
	Resource_t	*RD_height;
	Resource_t	*RD_width;
	Resource_t	*RD_x;
	Resource_t	*RD_y;
	Resource_t	*RD_xrtGaBorder;
	Resource_t	*RD_xrtGaBorderWidth;
	Resource_t	*RD_xrtGaDebug;
	Resource_t	*RD_xrtGaDecimalPlaces;
	Resource_t	*RD_xrtGaDigitBackgroundColor;
	Resource_t	*RD_xrtGaDigitForegroundColor;
	Resource_t	*RD_xrtGaImage;
	Resource_t	*RD_xrtGaImageLayout;
	Resource_t	*RD_xrtGaIsShowing;
	Resource_t	*RD_xrtGaNumDigits;
	Resource_t	*RD_xrtGaResetAlignment;
	Resource_t	*RD_xrtGaResetBackgroundColor;
	Resource_t	*RD_xrtGaResetHeight;
	Resource_t	*RD_xrtGaResetImage;
	Resource_t	*RD_xrtGaResetOffset;
	Resource_t	*RD_xrtGaResetShape;
	Resource_t	*RD_xrtGaResetShow;
	Resource_t	*RD_xrtGaResetWidth;
	Resource_t	*RD_xrtGaSpacingHorizontal;
	Resource_t	*RD_xrtGaSpacingVertical;
	Resource_t	*RD_xrtGaTransitionRate;
	Resource_t	*RD_xrtGaTransitionSteps;
	Resource_t	*RD_xrtGaUseTransition;
	Resource_t	*RD_xrtGaValue;
	Resource_t	*RD_xrtGaValueChangedCallback;
	int	mumble;		/* Just in case */
} UxXrtGaCounterClassPart;

typedef	struct UxXrtGaCounterClass
{
	UxObjectClassPart		object;
	UxVeditableClassPart	veditable;
	UxShadowWidgetClassPart	ShadowWidget;
	UxRectObjectClassPart	RectObject;
	UxGadgetClassPart		gadget;
	UxXrtGaCounterClassPart	XrtGaCounter;
} UxXrtGaCounterClass;

/* XrtGaFrame */
typedef struct UxXrtGaFrameClassPart
{
	Resource_t	*RD_background;
	Resource_t	*RD_xrtGaBottomMargin;
	Resource_t	*RD_xrtGaDebug;
	Resource_t	*RD_xrtGaImage;
	Resource_t	*RD_xrtGaImageLayout;
	Resource_t	*RD_xrtGaIsShowing;
	Resource_t	*RD_xrtGaLeftMargin;
	Resource_t	*RD_xrtGaRightMargin;
	Resource_t	*RD_xrtGaShape;
	Resource_t	*RD_xrtGaTopMargin;
	int	mumble;		/* Just in case */
} UxXrtGaFrameClassPart;

typedef	struct UxXrtGaFrameClass
{
	UxObjectClassPart		object;
	UxVeditableClassPart	veditable;
	UxShadowWidgetClassPart	ShadowWidget;
	UxRectObjectClassPart	RectObject;
	UxGadgetClassPart		gadget;
	UxXrtGaFrameClassPart	XrtGaFrame;
} UxXrtGaFrameClass;

/* XrtGaIcon */
typedef struct UxXrtGaIconClassPart
{
	Resource_t	*RD_background;
	Resource_t	*RD_xrtGaDebug;
	Resource_t	*RD_xrtGaOffColor;
	Resource_t	*RD_xrtGaOnColor;
	Resource_t	*RD_xrtGaOffImage;
	Resource_t	*RD_xrtGaOnImage;
	Resource_t	*RD_xrtGaShape;
	int	mumble;		/* Just in case */
} UxXrtGaIconClassPart;

typedef	struct UxXrtGaIconClass
{
	UxObjectClassPart		object;
	UxVeditableClassPart	veditable;
	UxShadowWidgetClassPart	ShadowWidget;
	UxRectObjectClassPart	RectObject;
	UxGadgetClassPart		gadget;
	UxXrtGaIconClassPart	XrtGaIcon;
} UxXrtGaIconClass;

/* XrtGaIndicator */
typedef struct UxXrtGaIndicatorClassPart
{
	Resource_t	*RD_background;
	Resource_t	*RD_width;
	Resource_t	*RD_xrtGaDebug;
	Resource_t	*RD_xrtGaDrawFunc;
	Resource_t	*RD_xrtGaInnerExtent;
	Resource_t	*RD_xrtGaImage;
	Resource_t	*RD_xrtGaImageRotate;
	Resource_t	*RD_xrtGaLinearScale;
	Resource_t	*RD_xrtGaInteractionType;
	Resource_t	*RD_xrtGaIndicatorType;
	Resource_t	*RD_xrtGaIsShowing;
	Resource_t	*RD_xrtGaOuterExtent;
	Resource_t	*RD_xrtGaValue;
	Resource_t	*RD_xrtGaValueChangedCallback;
	int	mumble;		/* Just in case */
} UxXrtGaIndicatorClassPart;

typedef	struct UxXrtGaIndicatorClass
{
	UxObjectClassPart		object;
	UxVeditableClassPart	veditable;
	UxShadowWidgetClassPart	ShadowWidget;
	UxRectObjectClassPart	RectObject;
	UxGadgetClassPart		gadget;
	UxXrtGaIndicatorClassPart	XrtGaIndicator;
} UxXrtGaIndicatorClass;

/* XrtGaItem */
typedef struct UxXrtGaItemClassPart
{
	Resource_t	*RD_background;
	Resource_t	*RD_xrtGaDebug;
	Resource_t	*RD_xrtGaImage;
	Resource_t	*RD_xrtGaIsShowing;
	Resource_t	*RD_xrtGaLabelExtent;
	Resource_t	*RD_xrtGaValue;
	Resource_t	*RD_xrtGaValueChangedCallback;
	int	mumble;		/* Just in case */
} UxXrtGaItemClassPart;

typedef	struct UxXrtGaItemClass
{
	UxObjectClassPart		object;
	UxVeditableClassPart	veditable;
	UxShadowWidgetClassPart	ShadowWidget;
	UxRectObjectClassPart	RectObject;
	UxGadgetClassPart		gadget;
	UxXrtGaItemClassPart	XrtGaItem;
} UxXrtGaItemClass;

/* XrtGaLinearScale */
typedef struct UxXrtGaLinearScaleClassPart
{
	Resource_t	*RD_background;
	Resource_t	*RD_height;
	Resource_t	*RD_width;
	Resource_t	*RD_x;
	Resource_t	*RD_y;
	Resource_t	*RD_xrtGaAllowTransform;
	Resource_t	*RD_xrtGaDebug;
	Resource_t	*RD_xrtGaDirection;
	Resource_t	*RD_xrtGaMax;
	Resource_t	*RD_xrtGaMin;
	Resource_t	*RD_xrtGaOrientation;
	Resource_t	*RD_xrtGaTransformCallback;
	int	mumble;		/* Just in case */
} UxXrtGaLinearScaleClassPart;

typedef	struct UxXrtGaLinearScaleClass
{
	UxObjectClassPart		object;
	UxVeditableClassPart	veditable;
	UxShadowWidgetClassPart	ShadowWidget;
	UxRectObjectClassPart	RectObject;
	UxGadgetClassPart		gadget;
	UxXrtGaLinearScaleClassPart	XrtGaLinearScale;
} UxXrtGaLinearScaleClass;

/* XrtGaMarker */
typedef struct UxXrtGaMarkerClassPart
{
	Resource_t	*RD_background;
	Resource_t	*RD_width;
	Resource_t	*RD_xrtGaCircularScale;
	Resource_t	*RD_xrtGaDebug;
	Resource_t	*RD_xrtGaDrawFunc;
	Resource_t	*RD_xrtGaImage;
	Resource_t	*RD_xrtGaImageRotate;
	Resource_t	*RD_xrtGaIsShowing;
	Resource_t	*RD_xrtGaMarkerType;
	Resource_t	*RD_xrtGaInnerRadius;
	Resource_t	*RD_xrtGaOuterRadius;
	int	mumble;		/* Just in case */
} UxXrtGaMarkerClassPart;

typedef	struct UxXrtGaMarkerClass
{
	UxObjectClassPart		object;
	UxVeditableClassPart	veditable;
	UxShadowWidgetClassPart	ShadowWidget;
	UxRectObjectClassPart	RectObject;
	UxGadgetClassPart		gadget;
	UxXrtGaMarkerClassPart	XrtGaMarker;
} UxXrtGaMarkerClass;

/* XrtGaNeedle */
typedef struct UxXrtGaNeedleClassPart
{
	Resource_t	*RD_background;
	Resource_t	*RD_width;
	Resource_t	*RD_xrtGaCircularScale;
	Resource_t	*RD_xrtGaDebug;
	Resource_t	*RD_xrtGaDrawFunc;
	Resource_t	*RD_xrtGaInteractionType;
	Resource_t	*RD_xrtGaIsShowing;
	Resource_t	*RD_xrtGaLength;
	Resource_t	*RD_xrtGaNeedleType;
	Resource_t	*RD_xrtGaValue;
	Resource_t	*RD_xrtGaValueChangedCallback;
	int	mumble;		/* Just in case */
} UxXrtGaNeedleClassPart;

typedef	struct UxXrtGaNeedleClass
{
	UxObjectClassPart		object;
	UxVeditableClassPart	veditable;
	UxShadowWidgetClassPart	ShadowWidget;
	UxRectObjectClassPart	RectObject;
	UxGadgetClassPart		gadget;
	UxXrtGaNeedleClassPart	XrtGaNeedle;
} UxXrtGaNeedleClass;

/* XrtGaRange */
typedef	struct	UxXrtGaRangeClassPart
{
	Resource_t	*RD_background;
	Resource_t	*RD_xrtGaDebug;
	Resource_t	*RD_xrtGaImage;
	Resource_t	*RD_xrtGaImageLayout;
	Resource_t	*RD_xrtGaInnerExtent;
	Resource_t	*RD_xrtGaIsShowing;
	Resource_t	*RD_xrtGaOffset;
	Resource_t	*RD_xrtGaOuterExtent;
	Resource_t	*RD_xrtGaScale;
	Resource_t	*RD_xrtGaShape;
	Resource_t	*RD_xrtGaStartValue;
	Resource_t	*RD_xrtGaStopValue;
	int	mumble;		/* Just in case */
} UxXrtGaRangeClassPart;

typedef	struct UxXrtGaRangeClass
{
	UxObjectClassPart		object;
	UxVeditableClassPart	veditable;
	UxShadowWidgetClassPart	ShadowWidget;
	UxRectObjectClassPart	RectObject;
	UxGadgetClassPart		gadget;
	UxXrtGaRangeClassPart	XrtGaRange;
} UxXrtGaRangeClass;

/* XrtGaState */
typedef	struct	UxXrtGaStateClassPart
{
	Resource_t	*RD_fontList;
	Resource_t	*RD_foreground;
	Resource_t	*RD_xrtGaAlignment;
	Resource_t	*RD_xrtGaAlignmentUseDefault;
	Resource_t	*RD_xrtGaAngle;
	Resource_t	*RD_xrtGaAngleUseDefault;
	Resource_t	*RD_xrtGaCircularScale;
	Resource_t	*RD_xrtGaDebug;
	Resource_t	*RD_xrtGaIsShowing;
	Resource_t	*RD_xrtGaLineDisplay;
	Resource_t	*RD_xrtGaLineInnerRadius;
	Resource_t	*RD_xrtGaLineInnerRadiusUseDefault;
	Resource_t	*RD_xrtGaLineOuterRadius;
	Resource_t	*RD_xrtGaLineOuterRadiusUseDefault;
	Resource_t	*RD_xrtGaLinePattern;
	Resource_t	*RD_xrtGaLineThickness;
	Resource_t	*RD_xrtGaOffsetUseDefault;
	Resource_t	*RD_xrtGaOffsetX;
	Resource_t	*RD_xrtGaOffsetY;
	Resource_t	*RD_xrtGaText;
	int	mumble;		/* Just in case */
} UxXrtGaStateClassPart;

typedef	struct UxXrtGaStateClass
{
	UxObjectClassPart		object;
	UxVeditableClassPart	veditable;
	UxShadowWidgetClassPart	ShadowWidget;
	UxRectObjectClassPart	RectObject;
	UxGadgetClassPart		gadget;
	UxXrtGaStateClassPart	XrtGaState;
} UxXrtGaStateClass;

/* XrtGaSwitch */
typedef	struct	UxXrtGaSwitchClassPart
{
	Resource_t	*RD_background;
	Resource_t	*RD_xrtGaCircularScale;
	Resource_t	*RD_xrtGaContinuous;
	Resource_t	*RD_xrtGaDebug;
	Resource_t	*RD_xrtGaDrawFunc;
	Resource_t	*RD_xrtGaImage;
	Resource_t	*RD_xrtGaImageRotate;
	Resource_t	*RD_xrtGaIncrementValue;
	Resource_t	*RD_xrtGaInteractionType;
	Resource_t	*RD_xrtGaIsShowing;
	Resource_t	*RD_xrtGaMultipleTurnEnabled;
	Resource_t	*RD_xrtGaMultipleTurnValue;
	Resource_t	*RD_xrtGaRadius;
	Resource_t	*RD_xrtGaValue;
	Resource_t	*RD_xrtGaValueChangedCallback;
	Resource_t	*RD_xrtGaSwitchType;
	int	mumble;		/* Just in case */
} UxXrtGaSwitchClassPart;

typedef	struct UxXrtGaSwitchClass
{
	UxObjectClassPart		object;
	UxVeditableClassPart	veditable;
	UxShadowWidgetClassPart	ShadowWidget;
	UxRectObjectClassPart	RectObject;
	UxGadgetClassPart		gadget;
	UxXrtGaSwitchClassPart	XrtGaSwitch;
} UxXrtGaSwitchClass;

/* XrtGaText */
typedef	struct	UxXrtGaTextClassPart
{
	Resource_t	*RD_background;
	Resource_t	*RD_fontList;
	Resource_t	*RD_foreground;
	Resource_t	*RD_height;
	Resource_t	*RD_width;
	Resource_t	*RD_x;
	Resource_t	*RD_y;
	Resource_t	*RD_xrtGaAlignment;
	Resource_t	*RD_xrtGaAllowWidgetPositioning;
	Resource_t	*RD_xrtGaBorder;
	Resource_t	*RD_xrtGaBorderWidth;
	Resource_t	*RD_xrtGaDebug;
	Resource_t	*RD_xrtGaImage;
	Resource_t	*RD_xrtGaImageLayout;
	Resource_t	*RD_xrtGaImageMinimumSize;
	Resource_t	*RD_xrtGaIsShowing;
	Resource_t	*RD_xrtGaString;
	Resource_t	*RD_xrtGaXmString;
	Resource_t	*RD_xrtGaStringMode;
	Resource_t	*RD_xrtGaValueObject;
	int	mumble;		/* Just in case */
} UxXrtGaTextClassPart;

typedef	struct UxXrtGaTextClass
{
	UxObjectClassPart		object;
	UxVeditableClassPart	veditable;
	UxShadowWidgetClassPart	ShadowWidget;
	UxRectObjectClassPart	RectObject;
	UxGadgetClassPart		gadget;
	UxXrtGaTextClassPart	XrtGaText;
} UxXrtGaTextClass;

/* XrtGaTick */
typedef	struct	UxXrtGaTickClassPart
{
	Resource_t	*RD_background;
	Resource_t	*RD_fontList;
	Resource_t	*RD_width;
	Resource_t	*RD_xrtGaAutomatic;
	Resource_t	*RD_xrtGaDebug;
	Resource_t	*RD_xrtGaDrawLabels;
	Resource_t	*RD_xrtGaIncrementValue;
	Resource_t	*RD_xrtGaInnerExtent;
	Resource_t	*RD_xrtGaIsShowing;
	Resource_t	*RD_xrtGaLabelExtent;
	Resource_t	*RD_xrtGaLabelFunc;
	Resource_t	*RD_xrtGaOffset;
	Resource_t	*RD_xrtGaOuterExtent;
	Resource_t	*RD_xrtGaPrecision;
	Resource_t	*RD_xrtGaPrecisionUseDefault;
	Resource_t	*RD_xrtGaScale;
	Resource_t	*RD_xrtGaStartValue;
	Resource_t	*RD_xrtGaStopValue;
	Resource_t	*RD_xrtGaTickType;
	int	mumble;		/* Just in case */
} UxXrtGaTickClassPart;

typedef	struct UxXrtGaTickClass
{
	UxObjectClassPart		object;
	UxVeditableClassPart	veditable;
	UxShadowWidgetClassPart	ShadowWidget;
	UxRectObjectClassPart	RectObject;
	UxGadgetClassPart		gadget;
	UxXrtGaTickClassPart	XrtGaTick;
} UxXrtGaTickClass;

/* XrtGaCircularDial */
/* XrtGaCircularScale */
typedef struct UxXrtGaCircularDialClassPart
{
	Resource_t	*RD_xrtGaBorder;
	Resource_t	*RD_xrtGaCircularScale;
	Resource_t	*RD_xrtGaCounterList;
	Resource_t	*RD_xrtGaDebug;
	Resource_t	*RD_xrtGaDoubleBuffer;
	Resource_t	*RD_xrtGaExposeCallback;
	Resource_t	*RD_xrtGaFrame;
	Resource_t	*RD_xrtGaHighlightColor;
	Resource_t	*RD_xrtGaHighlightSelectedState;
	Resource_t	*RD_xrtGaImage;
	Resource_t	*RD_xrtGaImageLayout;
	Resource_t	*RD_xrtGaInteractionCallback;
	Resource_t	*RD_xrtGaLineInnerRadius;
	Resource_t	*RD_xrtGaLineOuterRadius;
	Resource_t	*RD_xrtGaMapCallback;
	Resource_t	*RD_xrtGaMarker;
	Resource_t	*RD_xrtGaOffsetDistance;
	Resource_t	*RD_xrtGaOffsetType;
	Resource_t	*RD_xrtGaRangeList;
	Resource_t	*RD_xrtGaRenderList;
	Resource_t	*RD_xrtGaRepaint;
	Resource_t	*RD_xrtGaResizeCallback;
	Resource_t	*RD_xrtGaStateList;
	Resource_t	*RD_xrtGaSwitch;
	Resource_t	*RD_xrtGaTextList;
	Resource_t	*RD_xrtGaTickList;
	Resource_t	*RD_xrtGaUseRenderList;
	int	mumble;		/* Just in case */
} UxXrtGaCircularDialClassPart;

typedef	struct UxXrtGaCircularDialClass
{
	UxObjectClassPart			object;
	UxVeditableClassPart		veditble;
	UxShadowWidgetClassPart		ShadowWidget;
	UxRectObjectClassPart		RectObject;
	UxCoreClassPart				Core;
	UxPrimitiveClassPart		primitive;
	UxXrtGaCircularDialClassPart		XrtGaCircularDial;
} UxXrtGaCircularDialClass;

/* XrtGaCircularGauge */
typedef struct UxXrtGaCircularGaugeClassPart
{
	Resource_t	*RD_xrtGaBorder;
	Resource_t	*RD_xrtGaCenterList;
	Resource_t	*RD_xrtGaCircularScaleList;
	Resource_t	*RD_xrtGaCounterList;
	Resource_t	*RD_xrtGaDebug;
	Resource_t	*RD_xrtGaDoubleBuffer;
	Resource_t	*RD_xrtGaExposeCallback;
	Resource_t	*RD_xrtGaFrame;
	Resource_t	*RD_xrtGaImage;
	Resource_t	*RD_xrtGaImageLayout;
	Resource_t	*RD_xrtGaInteractionCallback;
	Resource_t	*RD_xrtGaMapCallback;
	Resource_t	*RD_xrtGaNeedleList;
	Resource_t	*RD_xrtGaRangeList;
	Resource_t	*RD_xrtGaRenderList;
	Resource_t	*RD_xrtGaRepaint;
	Resource_t	*RD_xrtGaResizeCallback;
	Resource_t	*RD_xrtGaTextList;
	Resource_t	*RD_xrtGaTickList;
	Resource_t	*RD_xrtGaUseRenderList;
	int	mumble;		/* Just in case */
} UxXrtGaCircularGaugeClassPart;

typedef	struct UxXrtGaCircularGaugeClass
{
	UxObjectClassPart			object;
	UxVeditableClassPart		veditble;
	UxShadowWidgetClassPart		ShadowWidget;
	UxRectObjectClassPart		RectObject;
	UxCoreClassPart				Core;
	UxPrimitiveClassPart		primitive;
	UxXrtGaCircularGaugeClassPart		XrtGaCircularGauge;
} UxXrtGaCircularGaugeClass;

/* XrtGaLEDIcon */
typedef	struct	UxXrtGaLEDIconClassPart
{
	Resource_t	*RD_xrtGaBorder;
	Resource_t	*RD_xrtGaDebug;
	Resource_t	*RD_xrtGaDecayRate;
	Resource_t	*RD_xrtGaDisplayMode;
	Resource_t	*RD_xrtGaDirection;
	Resource_t	*RD_xrtGaDoubleBuffer;
	Resource_t	*RD_xrtGaExposeCallback;
	Resource_t	*RD_xrtGaIconHeight;
	Resource_t	*RD_xrtGaIconList;
	Resource_t	*RD_xrtGaIconSpacing;
	Resource_t	*RD_xrtGaIconWidth;
	Resource_t	*RD_xrtGaImage;
	Resource_t	*RD_xrtGaImageLayout;
	Resource_t	*RD_xrtGaInteractionCallback;
	Resource_t	*RD_xrtGaInteractionType;
	Resource_t	*RD_xrtGaLEDStartValue;
	Resource_t	*RD_xrtGaLEDValue;
	Resource_t	*RD_xrtGaMaxIcon;
	Resource_t	*RD_xrtGaOrientation;
	Resource_t	*RD_xrtGaRepaint;
	Resource_t	*RD_xrtGaResizeCallback;
	Resource_t	*RD_xrtGaSizingPolicy;
	Resource_t	*RD_xrtGaSpacingHorizontal;
	Resource_t	*RD_xrtGaSpacingVertical;
	Resource_t	*RD_xrtGaValueChangedCallback;
	Resource_t	*RD_xrtGaXOrigin;
	Resource_t	*RD_xrtGaYOrigin;
	int	mumble;		/* Just in case */
} UxXrtGaLEDIconClassPart;

typedef	struct UxXrtGaLEDIconClass
{
	UxObjectClassPart			object;
	UxVeditableClassPart		veditble;
	UxShadowWidgetClassPart		ShadowWidget;
	UxRectObjectClassPart		RectObject;
	UxCoreClassPart				Core;
	UxPrimitiveClassPart		primitive;
	UxXrtGaLEDIconClassPart		XrtGaLEDIcon;
} UxXrtGaLEDIconClass;

/* XrtGaLEDNumerical */
typedef	struct	UxXrtGaLEDNumericalClassPart
{
	Resource_t	*RD_xrtGaBorder;
	Resource_t	*RD_xrtGaColorMixPercentage;
	Resource_t	*RD_xrtGaDebug;
	Resource_t	*RD_xrtGaDecimalPlaces;
	Resource_t	*RD_xrtGaDecimalPosition;
	Resource_t	*RD_xrtGaDecimalSize;
	Resource_t	*RD_xrtGaDoubleBuffer;
	Resource_t	*RD_xrtGaExposeCallback;
	Resource_t	*RD_xrtGaFixedDecimal;
	Resource_t	*RD_xrtGaLeadingOne;
	Resource_t	*RD_xrtGaLeadingPlusMinus;
	Resource_t	*RD_xrtGaLeadingZeros;
	Resource_t	*RD_xrtGaNumDigits;
	Resource_t	*RD_xrtGaImage;
	Resource_t	*RD_xrtGaImageLayout;
	Resource_t	*RD_xrtGaOnColor;
	Resource_t	*RD_xrtGaOffColor;
	Resource_t	*RD_xrtGaRepaint;
	Resource_t	*RD_xrtGaResizeCallback;
	Resource_t	*RD_xrtGaSegmentSpacing;
	Resource_t	*RD_xrtGaSegmentWidth;
	Resource_t	*RD_xrtGaSlopeOffset;
	Resource_t	*RD_xrtGaSpacingHorizontal;
	Resource_t	*RD_xrtGaSpacingVertical;
	Resource_t	*RD_xrtGaText;
	Resource_t	*RD_xrtGaValue;
	Resource_t	*RD_xrtGaValueChangedCallback;
	Resource_t	*RD_xrtGaValueType;
	int	mumble;		/* Just in case */
} UxXrtGaLEDNumericalClassPart;

typedef	struct UxXrtGaLEDNumericalClass
{
	UxObjectClassPart			object;
	UxVeditableClassPart		veditble;
	UxShadowWidgetClassPart		ShadowWidget;
	UxRectObjectClassPart		RectObject;
	UxCoreClassPart				Core;
	UxPrimitiveClassPart		primitive;
	UxXrtGaLEDNumericalClassPart		XrtGaLEDNumerical;
} UxXrtGaLEDNumericalClass;

/* XrtGaLinearDial */
typedef	struct	UxXrtGaLinearDialClassPart
{
	Resource_t	*RD_xrtGaBorder;
	Resource_t	*RD_xrtGaDebug;
	Resource_t	*RD_xrtGaDoubleBuffer;
	Resource_t	*RD_xrtGaDrawFunc;
	Resource_t	*RD_xrtGaExposeCallback;
	Resource_t	*RD_xrtGaFrame;
	Resource_t	*RD_xrtGaImage;
	Resource_t	*RD_xrtGaImageLayout;
	Resource_t	*RD_xrtGaIndicator;
	Resource_t	*RD_xrtGaInteractionCallback;
	Resource_t	*RD_xrtGaLinearScale;
	Resource_t	*RD_xrtGaMapCallback;
	Resource_t	*RD_xrtGaOnColor;
	Resource_t	*RD_xrtGaOnImage;
	Resource_t	*RD_xrtGaOffColor;
	Resource_t	*RD_xrtGaOffImage;
	Resource_t	*RD_xrtGaShape;
	Resource_t	*RD_xrtGaRenderList;
	Resource_t	*RD_xrtGaRepaint;
	Resource_t	*RD_xrtGaResizeCallback;
	Resource_t	*RD_xrtGaTextList;
	Resource_t	*RD_xrtGaTickList;
	Resource_t	*RD_xrtGaUseRenderList;
	int	mumble;		/* Just in case */
} UxXrtGaLinearDialClassPart;

typedef	struct UxXrtGaLinearDialClass
{
	UxObjectClassPart			object;
	UxVeditableClassPart		veditble;
	UxShadowWidgetClassPart		ShadowWidget;
	UxRectObjectClassPart		RectObject;
	UxCoreClassPart				Core;
	UxPrimitiveClassPart		primitive;
	UxXrtGaLinearDialClassPart		XrtGaLinearDial;
} UxXrtGaLinearDialClass;

/* XrtGaLinearGauge */
typedef	struct	UxXrtGaLinearGaugeClassPart
{
	Resource_t	*RD_xrtGaBorder;
	Resource_t	*RD_xrtGaDebug;
	Resource_t	*RD_xrtGaDoubleBuffer;
	Resource_t	*RD_xrtGaExposeCallback;
	Resource_t	*RD_xrtGaFrame;
	Resource_t	*RD_xrtGaImage;
	Resource_t	*RD_xrtGaImageLayout;
	Resource_t	*RD_xrtGaIndicatorList;
	Resource_t	*RD_xrtGaInteractionCallback;
	Resource_t	*RD_xrtGaLinearScaleList;
	Resource_t	*RD_xrtGaMapCallback;
	Resource_t	*RD_xrtGaRangeList;
	Resource_t	*RD_xrtGaRenderList;
	Resource_t	*RD_xrtGaRepaint;
	Resource_t	*RD_xrtGaResizeCallback;
	Resource_t	*RD_xrtGaTextList;
	Resource_t	*RD_xrtGaTickList;
	Resource_t	*RD_xrtGaUseRenderList;
	int	mumble;		/* Just in case */
} UxXrtGaLinearGaugeClassPart;

typedef	struct UxXrtGaLinearGaugeClass
{
	UxObjectClassPart			object;
	UxVeditableClassPart		veditble;
	UxShadowWidgetClassPart		ShadowWidget;
	UxRectObjectClassPart		RectObject;
	UxCoreClassPart				Core;
	UxPrimitiveClassPart		primitive;
	UxXrtGaLinearGaugeClassPart		XrtGaLinearGauge;
} UxXrtGaLinearGaugeClass;

/* XrtGaPercent */
typedef	struct	UxXrtGaPercentClassPart
{
	Resource_t	*RD_xrtGaBorder;
	Resource_t	*RD_xrtGaCalcMode;
	Resource_t	*RD_xrtGaDebug;
	Resource_t	*RD_xrtGaDoubleBuffer;
	Resource_t	*RD_xrtGaExposeCallback;
	Resource_t	*RD_xrtGaFrame;
	Resource_t	*RD_xrtGaImage;
	Resource_t	*RD_xrtGaImageLayout;
	Resource_t	*RD_xrtGaItemList;
	Resource_t	*RD_xrtGaMapCallback;
	Resource_t	*RD_xrtGaRenderList;
	Resource_t	*RD_xrtGaRepaint;
	Resource_t	*RD_xrtGaResizeCallback;
	Resource_t	*RD_xrtGaScale;
	Resource_t	*RD_xrtGaTextList;
	Resource_t	*RD_xrtGaUseRenderList;
	int	mumble;		/* Just in case */
} UxXrtGaPercentClassPart;

typedef	struct UxXrtGaPercentClass
{
	UxObjectClassPart			object;
	UxVeditableClassPart		veditble;
	UxShadowWidgetClassPart		ShadowWidget;
	UxRectObjectClassPart		RectObject;
	UxCoreClassPart				Core;
	UxPrimitiveClassPart		primitive;
	UxXrtGaPercentClassPart		XrtGaPercent;
} UxXrtGaPercentClass;

/* Definition of the XrtGauge instance structure */
typedef	primitive	UxXrtGaCircularDial;
typedef	primitive	UxXrtGaCircularGauge;
typedef	primitive	UxXrtGaLEDIcon;
typedef	primitive	UxXrtGaLEDNumerical;
typedef	primitive	UxXrtGaLinearDial;
typedef	primitive	UxXrtGaLinearGauge;
typedef	primitive	UxXrtGaPercent;

typedef	gadget		UxXrtGaCenter;
typedef	gadget		UxXrtGaCircularScale;
typedef	gadget		UxXrtGaCounter;
typedef	gadget		UxXrtGaFrame;
typedef	gadget		UxXrtGaIcon;
typedef	gadget		UxXrtGaIndicator;
typedef	gadget		UxXrtGaItem;
typedef	gadget		UxXrtGaLinearScale;
typedef	gadget		UxXrtGaMarker;
typedef	gadget		UxXrtGaNeedle;
typedef	gadget		UxXrtGaRange;
typedef	gadget		UxXrtGaState;
typedef	gadget		UxXrtGaSwitch;
typedef	gadget		UxXrtGaText;
typedef	gadget		UxXrtGaTick;

/* Declarations of global variables for XrtGauge class */

extern Class_t		UxC_XrtGaCircularDial;
extern Class_t		UxC_XrtGaCircularGauge;
extern Class_t		UxC_XrtGaLEDIcon;
extern Class_t		UxC_XrtGaLEDNumerical;
extern Class_t		UxC_XrtGaLinearDial;
extern Class_t		UxC_XrtGaLinearGauge;
extern Class_t		UxC_XrtGaPercent;

extern Class_t		UxC_XrtGaCenter;
extern Class_t		UxC_XrtGaCircularScale;
extern Class_t		UxC_XrtGaCounter;
extern Class_t		UxC_XrtGaFrame;
extern Class_t		UxC_XrtGaIcon;
extern Class_t		UxC_XrtGaIndicator;
extern Class_t		UxC_XrtGaItem;
extern Class_t		UxC_XrtGaLinearScale;
extern Class_t		UxC_XrtGaMarker;
extern Class_t		UxC_XrtGaNeedle;
extern Class_t		UxC_XrtGaRange;
extern Class_t		UxC_XrtGaState;
extern Class_t		UxC_XrtGaSwitch;
extern Class_t		UxC_XrtGaText;
extern Class_t		UxC_XrtGaTick;

#include "Xrt_restable.h"

#endif
