/* $AstecId: XrtTbl_menus.c,v 1.2 1998/01/05 03:33:08 aoyama Exp $ */
/* ALL RIGHTS RESERVED
 *
 * This file is provided for demonstration and educational uses only.
 * Permission to use, copy, modify and distribute this file for
 * any purpose and without fee is hereby granted, provided that the
 * above copyright notice and this permission notice appear in all
 * copies, and that the name of KL Group not be used in advertising
 * or publicity pertaining to this material without the specific,
 * prior written permission of an authorized representative of
 * KL Group.
 *
 * KL GROUP MAKES NO REPRESENTATIONS AND EXTENDS NO WARRANTIES, EX-
 * PRESS OR IMPLIED, WITH RESPECT TO THE SOFTWARE, INCLUDING, BUT
 * NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND
 * FITNESS FOR ANY PARTICULAR PURPOSE, AND THE WARRANTY AGAINST IN-
 * FRINGEMENT OF PATENTS OR OTHER INTELLECTUAL PROPERTY RIGHTS.  THE
 * SOFTWARE IS PROVIDED "AS IS", AND IN NO EVENT SHALL KL GROUP OR
 * ANY OF ITS AFFILIATES BE LIABLE FOR ANY DAMAGES, INCLUDING ANY
 * LOST PROFITS OR OTHER INCIDENTAL OR CONSEQUENTIAL DAMAGES
 * RELATING TO THE USE OF THIS SOFTWARE.
 *
 *
 * XRT/table widget UIM/X integration file
 *
 *  SCCSID -- @(#)XrtTbl_menus.c	1.4    95/09/25 KL Group Inc.
 */

/******************************************************************************
				XrtTbl_menus.c
******************************************************************************/

#include <stdio.h>
#include <Xm/Xm.h>
#include "uxproto.h"
#include "cr_menu_ds.h"		/* definitions of message numbers MS_xxxx */

#include "UxCascB.h"
#include "UxRowCol.h"

swidget	UxAddToCreateMenu UXPROTO((swidget, 
								   char *, 
								   char *, 
								   Boolean, 
								   void (*)(), 
								   Class_t, 
								   void (*)() ));

extern Class_t UxC_XrtTable;
extern Class_t UxC_XrtLabel;

static swidget	create_xrttable;
static swidget	create_xrttable_rc;
static swidget	top_create_xrttable;
static swidget	top_create_xrttable_rc;


static void
XrtTable_createmenu(casc_swgt, rowcol_swgt, popup)
swidget casc_swgt;
swidget rowcol_swgt;
int	popup;
{
	swidget child_casc;
	swidget child_rowcol;

	child_casc = UxCreateCascadeButton("table_casc",rowcol_swgt);
	child_rowcol = UxCreateRowColumn("table_rowcol",rowcol_swgt);
	if(popup){
		create_xrttable = child_casc;
		create_xrttable_rc = child_rowcol;
	}
	else{
		top_create_xrttable = child_casc;
		top_create_xrttable_rc = child_rowcol;
	}
	UxPutLabelString(child_casc, "XRT/table");
	UxPutMnemonic(child_casc, "t");
	UxPutSubMenuId(child_casc, "table_rowcol");
	UxPutRowColumnType(child_rowcol, "menu_pulldown");
	UxCreateWidget(child_rowcol);
	UxCreateWidget(child_casc);

	(void) UxAddToCreateMenu(child_rowcol,
							 "XrtTable",
							 "T",
							 FALSE,
							 NULL,
							 UxC_XrtTable,
							 NULL);

	(void) UxAddToCreateMenu(child_rowcol,
							 "XrtLabel",
							 "L",
							 FALSE,
							 NULL,
							 UxC_XrtLabel,
							 NULL);

}

void XrtTbl_custmenu(casc_swgt, rowcol_swgt)
swidget casc_swgt;
swidget rowcol_swgt;
{
	XrtTable_createmenu(casc_swgt, rowcol_swgt, FALSE);
}

void XrtTbl_tcustmenu(casc_swgt, rowcol_swgt)
swidget casc_swgt;
swidget rowcol_swgt;
{
	XrtTable_createmenu(casc_swgt, rowcol_swgt, TRUE);
}
